'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _SelectField = require('saltui/lib/SelectField');

var _SelectField2 = _interopRequireDefault(_SelectField);

var _CheckboxField = require('saltui/lib/CheckboxField');

var _CheckboxField2 = _interopRequireDefault(_CheckboxField);

var _TextareaField = require('saltui/lib/TextareaField');

var _TextareaField2 = _interopRequireDefault(_TextareaField);

var _TextField = require('saltui/lib/TextField');

var _TextField2 = _interopRequireDefault(_TextField);

var _Group = require('saltui/lib/Group');

var _Group2 = _interopRequireDefault(_Group);

var _DatetimeField = require('saltui/lib/DatetimeField');

var _DatetimeField2 = _interopRequireDefault(_DatetimeField);

var _Datetime = require('saltui/lib/Datetime');

var _Datetime2 = _interopRequireDefault(_Datetime);

var _Toast = require('saltui/lib/Toast');

var _Toast2 = _interopRequireDefault(_Toast);

var _SwitchField = require('saltui/lib/SwitchField');

var _SwitchField2 = _interopRequireDefault(_SwitchField);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _Field = require('saltui/lib/Field');

var _Field2 = _interopRequireDefault(_Field);

var _FoldablePane = require('saltui/lib/FoldablePane');

var _FoldablePane2 = _interopRequireDefault(_FoldablePane);

var _CalendarField = require('saltui/lib/CalendarField');

var _CalendarField2 = _interopRequireDefault(_CalendarField);

var _AngleRight = require('salt-icon/lib/AngleRight');

var _AngleRight2 = _interopRequireDefault(_AngleRight);

var _upload = require('../upload/upload');

var _upload2 = _interopRequireDefault(_upload);

var _positioning = require('../positioning/positioning');

var _positioning2 = _interopRequireDefault(_positioning);

var _List = require('../comment_list/List');

var _List2 = _interopRequireDefault(_List);

var _check = require('../poppage/check');

var _check2 = _interopRequireDefault(_check);

var _select = require('../selectMember/select');

var _select2 = _interopRequireDefault(_select);

var _db = require('../db/db');

var _db2 = _interopRequireDefault(_db);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// import Slot from 'saltui/lib/Slot';

// import SelectFileNo from '../select-fileno/pageHome';
// import SelectSerialNumber from '../select-serialnumber/pageHome';
//import 'babel-polyfill';


var HBox = _Boxs2.default.HBox,
    VBox = _Boxs2.default.VBox,
    Box = _Boxs2.default.Box;
//import 'babel-polyfill';

var FlowCommon = void 0;
var savePhraseList = [{
  value: "1",
  checked: false,
  content: '是否保存为常用语',
  disable: false
}];

var PageHome = function (_React$Component) {
  _inherits(PageHome, _React$Component);

  function PageHome(props) {
    _classCallCheck(this, PageHome);

    var _this = _possibleConstructorReturn(this, (PageHome.__proto__ || Object.getPrototypeOf(PageHome)).call(this, props));

    var form = props.form;
    var data = props.data;
    var status = props.status;
    var dataType = props.dataType; //数据类型，main:主表，sub：子表，
    if (!dataType) {
      dataType = "main";
    }
    var prefixName = dataType;
    if (dataType == "sub") {
      var keyNo = props.keyNo;
      var subTblName = props.subTblName;
      prefixName = dataType + "_" + subTblName + "_" + keyNo;
    }
    var commentField = props.commentField;
    /* alert(commentField);*/
    var context = document.getElementById("context").value;
    //alert(props.defaultValue);
    var module = props.module && props.module != "undefined" ? props.module : "approve";
    var isRemoveCommentFormHtml = props.isRemoveCommentFormHtml && props.isRemoveCommentFormHtml != "undefined" ? props.isRemoveCommentFormHtml : "0";
    FlowCommon = require('pages/flow_common/' + module).default ? require('pages/flow_common/' + module).default : require('pages/flow_common/' + module);
    _this.state = {
      module: module,
      fold: true,
      status: status,
      fieldControll: props.fieldControll,
      commentField: props.commentField,
      hasCommentField: props.hasCommentField,
      urlPrev: context + '/dingisv/api/common/viewImage?fid=',
      calc: [],
      itemParam: {
        readOnly: false,
        required: false,
        title: '',
        value: '',
        itemType: '',
        id: '',
        key: ''
      },
      dataType: dataType,
      prefixName: prefixName,
      loaded: false,
      commentList: [],
      phraseListNew: [],
      savePhraseList: [{
        value: "1",
        checked: false,
        content: '是否保存为常用语',
        disable: false
      }],
      savePhrase: [],
      phraseList: [], //常用语列表
      spyj: props.defaultValue,
      isRemoveCommentFormHtml: isRemoveCommentFormHtml
    };

    return _this;
  }

  //流程控制表单字段显示


  _createClass(PageHome, [{
    key: 'fieldControllFormat',
    value: function fieldControllFormat(field, fieldControll) {
      // let isHidden = null;
      // let required = null;
      // let readOnly = null;
      var status = null;
      if (fieldControll) {
        var hiddenFields = fieldControll.hiddenFields;
        var mustFields = fieldControll.mustFields;
        var showFields = fieldControll.showFields;
        var editFields = fieldControll.editFields;

        if (hiddenFields) {
          //是否隐藏
          hiddenFields = "," + hiddenFields + ",";
          if (hiddenFields.indexOf("," + field + ",") >= 0) {
            //是否包含字段
            status = "hidden";
            return status;
          }
        }

        if (showFields) {
          //是否只读
          showFields = "," + showFields + ",";
          if (showFields.indexOf("," + field + ",") >= 0) {
            //是否包含字段
            status = "show";
            return status;
          }
        }

        if (editFields) {
          //是否可编辑
          editFields = "," + editFields + ",";
          if (editFields.indexOf("," + field + ",") >= 0) {
            //是否包含字段
            status = "edit";
            if (mustFields) {
              //是否必须
              mustFields = "," + mustFields + ",";
              if (mustFields.indexOf("," + field + ",") >= 0) {
                //是否包含字段
                status = "edit&must";
                return status;
              }
            }
            return status;
          }
        }

        if (mustFields) {
          //是否必须
          mustFields = "," + mustFields + ",";
          if (mustFields.indexOf("," + field + ",") >= 0) {
            //是否包含字段
            status = "must";
            return status;
          }
        }
      } else {
        return "show";
      }
    }

    //加载组件

  }, {
    key: 'loadComponet',
    value: function loadComponet(formItem) {
      var t = this;
      var form;
      if (formItem) {
        //二次修改传的formitem属性
        form = formItem;
      } else {
        form = this.props.form; //表单元素
      }
      var status = this.props.status; //判断是否能选择,0新增，1修改,2查看
      var formKey = this.props.formKey; //表单code
      var allForm = this.props.allForm; //表单属性
      var formTblId = allForm.formTblId; //表单的表id
      var data = this.props.data; //数据
      var dataType = this.props.dataType; //数据类型，main:主表，sub：子表，
      var module = this.props.module;
      var preCaFields = "," + this.props.preCaFields + ","; //上一步CA加签字段
      var uniqueName = form.uniqueName; //表单唯一code,表code+"_"+字段code
      var isVerifySing = "0"; //验签成功标识，0正常，1成功，2失败
      if (!dataType) {
        dataType = "main";
      }

      var tableName = data.mainTblName;
      var itemParam = {}; //元素参数
      itemParam.formKey = formKey;
      itemParam.tableName = tableName;
      itemParam.uniqueName = uniqueName;
      var commentList = this.props.commentList;
      if (!commentList) {
        commentList = [];
      }
      var id = form.id;
      itemParam.id = id;
      var title = form.itemTitle + "："; //标题
      itemParam.title = title;
      var key = form.itemCode; //表字段;
      itemParam.key = key;
      var itemType = form.itemType; //类型
      itemParam.itemType = itemType;
      var fieldTblId = form.tblId;
      var fieldTblName = form.tblName;
      itemParam.tblId = fieldTblId;
      itemParam.tblName = fieldTblName;

      var required = false;
      if (itemType != "comment") {
        required = form.valid == "true"; //必填
      }
      itemParam.required = required;
      var placeholder = form.placeholder; //提示语
      itemParam.placeholder = placeholder;
      var validAttr = form.validAttr; //正则
      itemParam.validAttr = validAttr;
      var fieldId = form.fieldId;
      itemParam.fieldId = fieldId;
      itemParam.fontSize = form.fontSize;
      itemParam.isHidden = form.isHidden ? form.isHidden : false; //默认不隐藏

      var mainTblData = data.mainTblData; //主表数据
      var relatedTbl = data.relatedTbl; //关联表数据
      var subTbl = data.subTbl; //子表
      var readOnly = false;
      var value = '';

      if (key != "") {
        //判断字段属性
        var fieldControllJson = this.props.fieldControll;
        var fieldControll = this.fieldControllFormat(tableName + "_" + key, fieldControllJson);
        if (fieldControll) {
          if (fieldControll == 'hidden') {
            //隐藏
            itemParam.isHidden = true;
          } else if (fieldControll == 'show') {
            //只读
            readOnly = true;
            required = false;
          } else if (fieldControll == 'edit') {
            //编辑
            readOnly = false;
          } else if (fieldControll == 'must') {
            //必填
            required = true;
          } else if (fieldControll == 'edit&must') {
            //编辑,必填
            required = true;
            readOnly = false;
          }
        }
        itemParam.readOnly = readOnly;
        itemParam.required = required;
        if (itemType == 'text') {
          itemParam.inputFormat = form.inputFormat;
          itemParam.decimalPlace = form.decimalPlace;
        }

        /* alert(this.state.itemParam.uniqueName==this.state.commentField);*/
        //处理数据
        var tableData = {};
        if (status == '0') {
          //新增 
          //新增 
          value = form.defaultValue;

          if (formTblId.indexOf(fieldTblId) > 0) {
            var hasTable = false;
            var hasField = false;
            relatedTbl.map(function (item) {
              if (item.relatedMainTblName == fieldTblName) {
                hasTable = true;
                item.relatedMainTblData.map(function (item2) {
                  if (item2.key == key) {
                    hasField = true;
                  }
                });
              }
            });

            if (!hasField) {
              //字段不存在

              tableData.key = key;
              tableData.value = form.defaultValue;
              tableData.required = required;
              tableData.label = title;
              tableData.inputFormat = form.inputFormat;
              tableData.decimalPlace = form.decimalPlace;
              tableData.fieldId = form.fieldId;
              tableData.uniqueName = uniqueName;
              tableData.itemType = form.itemType;

              if (!hasTable) {
                //表不存在
                var relatedTblData = {};
                relatedTblData.relaDataId = null;
                relatedTblData.relatedMainTblName = fieldTblName;
                relatedTblData.relatedSubTblData = [];

                var relatedMainTblData = [];
                relatedMainTblData.push(tableData);
                relatedTblData.relatedMainTblData = relatedMainTblData;
                relatedTbl.push(relatedTblData);
              } else {
                relatedTbl.map(function (item) {
                  if (item.relatedMainTblName == fieldTblName) {
                    var relatedMainTblData = item.relatedMainTblData;
                    relatedMainTblData.push(tableData);
                  }
                });
              }
            }
          } else {
            var hasField = false;
            mainTblData.map(function (item) {
              if (item.key == key) {
                hasField = true;
              }
            });
            if (!hasField) {
              tableData.key = key;
              tableData.value = form.defaultValue;
              tableData.required = required;
              tableData.label = title;
              tableData.inputFormat = form.inputFormat;
              tableData.decimalPlace = form.decimalPlace;
              tableData.fieldId = form.fieldId;
              tableData.uniqueName = uniqueName;
              tableData.itemType = form.itemType;
              mainTblData.push(tableData);
            }
          }
        } else if (status == '1') {
          //编辑
          var dataId = data.dataId;
          if (!dataId) {
            if (dataType == "sub") {
              if (this.checkIsHasSub(mainTblData, key)) {
                value = this.dealwithData(itemParam, mainTblData, relatedTbl);
              } else {
                value = form.value;
                tableData.key = key;
                tableData.value = form.value;
                tableData.required = required;
                tableData.label = title;
                tableData.inputFormat = form.inputFormat;
                tableData.decimalPlace = form.decimalPlace;
                tableData.fieldId = form.fieldId;
                tableData.uniqueName = uniqueName;
                tableData.itemType = form.itemType;
                if (formTblId.indexOf(fieldTblId) > 0) {
                  relatedTbl.map(function (item) {
                    if (item.relatedMainTblName == fieldTblName) {
                      var relatedMainTblData = item.relatedMainTblData;
                      relatedMainTblData.push(tableData);
                    }
                  });
                } else {
                  mainTblData.push(tableData);
                }
              }
            } else {
              value = form.value;
              tableData.key = key;
              tableData.value = form.value;
              tableData.required = required;
              tableData.label = title;
              tableData.inputFormat = form.inputFormat;
              tableData.decimalPlace = form.decimalPlace;
              tableData.fieldId = form.fieldId;
              tableData.uniqueName = uniqueName;
              tableData.itemType = form.itemType;
              if (formTblId.indexOf(fieldTblId) > 0) {
                relatedTbl.map(function (item) {
                  if (item.relatedMainTblName == fieldTblName) {
                    var relatedMainTblData = item.relatedMainTblData;
                    relatedMainTblData.push(tableData);
                  }
                });
              } else {
                mainTblData.push(tableData);
              }
            }
          } else {
            value = this.dealwithData(itemParam, mainTblData, relatedTbl); //初始化值
          }
        } else {
          //显示
          readOnly = true;
          required = false;
          itemParam.required = required;
          itemParam.readOnly = readOnly;
          tableData.inputFormat = form.inputFormat;
          tableData.decimalPlace = form.decimalPlace;
          tableData.fieldId = form.fieldId;
          tableData.uniqueName = uniqueName;
          tableData.itemType = form.itemType;
          value = this.dealwithData(itemParam, mainTblData, relatedTbl); //初始化值
        }
      }

      var formStyle = t.props.formStyle; //统一样式
      var subStyle = form.itemStyle; //每个样式

      var style = { contentStyle: {}, titleStyle: {} };
      if (formStyle != null && formStyle != '' && formStyle != undefined) {
        if (formStyle.contentStyle != null && formStyle.contentStyle != '' && formStyle.contentStyle != undefined) {
          if (formStyle.contentStyle.color != null && formStyle.contentStyle.color != undefined) {
            style.contentStyle.color = formStyle.contentStyle.color;
          }
          if (formStyle.contentStyle.fontFamily != null && formStyle.contentStyle.fontFamily != undefined) {
            style.contentStyle.fontFamily = formStyle.contentStyle.fontFamily;
          }
          if (formStyle.contentStyle.fontSize != null && formStyle.contentStyle.fontSize != undefined) {
            style.contentStyle.fontSize = formStyle.contentStyle.fontSize;
          }
          if (formStyle.contentStyle.fontStyle != null && formStyle.contentStyle.fontStyle != undefined) {
            style.contentStyle.fontStyle = formStyle.contentStyle.fontStyle;
          }
          if (formStyle.contentStyle.fontWeight != null && formStyle.contentStyle.fontWeight != undefined) {
            style.contentStyle.fontWeight = formStyle.contentStyle.fontWeight;
          }
        }

        if (formStyle.titleStyle != null && formStyle.titleStyle != '' && formStyle.titleStyle != undefined) {
          if (formStyle.titleStyle.color != null && formStyle.titleStyle.color != undefined) {
            style.titleStyle.color = formStyle.titleStyle.color;
          }
          if (formStyle.titleStyle.fontFamily != null && formStyle.titleStyle.fontFamily != undefined) {
            style.titleStyle.fontFamily = formStyle.titleStyle.fontFamily;
          }
          if (formStyle.titleStyle.fontSize != null && formStyle.titleStyle.fontSize != undefined) {
            style.titleStyle.fontSize = formStyle.titleStyle.fontSize;
          }
          if (formStyle.titleStyle.fontStyle != null && formStyle.titleStyle.fontStyle != undefined) {
            if (formStyle.titleStyle.fontStyle == '') {
              //如果字体样式为空，会使用父级样式，所以需要手动赋值
              style.titleStyle.fontStyle = 'initial';
            } else {
              style.titleStyle.fontStyle = formStyle.titleStyle.fontStyle;
            }
          }
          if (formStyle.titleStyle.fontWeight != null && formStyle.titleStyle.fontWeight != undefined) {
            if (formStyle.titleStyle.fontWeight == '') {
              //如果字体样式为空，会使用父级样式，所以需要手动赋值
              style.titleStyle.fontWeight = 'initial';
            } else {
              style.titleStyle.fontWeight = formStyle.titleStyle.fontWeight;
            }
          }
        }
      }

      if (subStyle != null && subStyle != '' && subStyle != undefined) {
        if (itemType == 'note') {
          subStyle.contentStyle = subStyle;
        }
        if (subStyle.contentStyle != null && subStyle.contentStyle != '' && subStyle.contentStyle != undefined) {
          if (subStyle.contentStyle.color != null && subStyle.contentStyle.color != undefined) {
            style.contentStyle.color = subStyle.contentStyle.color;
          }
          if (subStyle.contentStyle.fontFamily != null && subStyle.contentStyle.fontFamily != undefined) {
            style.contentStyle.fontFamily = subStyle.contentStyle.fontFamily;
          }
          if (subStyle.contentStyle.fontSize != null && subStyle.contentStyle.fontSize != undefined) {
            style.contentStyle.fontSize = subStyle.contentStyle.fontSize;
          }
          if (subStyle.contentStyle.fontStyle != null && subStyle.contentStyle.fontStyle != undefined) {
            style.contentStyle.fontStyle = subStyle.contentStyle.fontStyle;
          }
          if (subStyle.contentStyle.fontWeight != null && subStyle.contentStyle.fontWeight != undefined) {
            style.contentStyle.fontWeight = subStyle.contentStyle.fontWeight;
          }
        }

        if (subStyle.titleStyle != null && subStyle.titleStyle != '' && subStyle.titleStyle != undefined) {
          if (subStyle.titleStyle.color != null && subStyle.titleStyle.color != undefined) {
            style.titleStyle.color = subStyle.titleStyle.color;
          }
          if (subStyle.titleStyle.fontFamily != null && subStyle.titleStyle.fontFamily != undefined) {
            style.titleStyle.fontFamily = subStyle.titleStyle.fontFamily;
          }
          if (subStyle.titleStyle.fontSize != null && subStyle.titleStyle.fontSize != undefined) {
            style.titleStyle.fontSize = subStyle.titleStyle.fontSize;
          }
          if (subStyle.titleStyle.fontStyle != null && subStyle.titleStyle.fontStyle != undefined) {
            if (subStyle.titleStyle.fontStyle == '') {
              style.titleStyle.fontStyle = 'initial';
            } else {
              style.titleStyle.fontStyle = subStyle.titleStyle.fontStyle;
            }
          }
          if (subStyle.titleStyle.fontWeight != null && subStyle.titleStyle.fontWeight != undefined) {
            if (subStyle.titleStyle.fontWeight == '') {
              style.titleStyle.fontWeight = 'initial';
            } else {
              style.titleStyle.fontWeight = subStyle.titleStyle.fontWeight;
            }
          }
        }
      }

      itemParam.formStyleObj = style; //样式


      // if(status == '2'){//只读
      //   readOnly = true;
      //   itemParam.readOnly = readOnly;
      //   required = false;
      //   itemParam.required = required;
      // }else{
      //   tableData.required = required;
      //   tableData.label = title;
      //   mainTblData.push(tableData);
      // }

      itemParam.isVerifySing = isVerifySing;
      var isVerifySingValue = value; //验签真实数据记录
      var context = document.getElementById("context").value;
      var token = document.getElementById("token").value;
      // var context + '/api/m/plugin/attachment/mobile/viewImage?token=' + token + '&fid=';
      if (itemType == 'text') {
        //单行文本框
        //alert('260=====');
        itemParam.inputFormat = form.inputFormat; //文本类型
        itemParam.decimalPlace = form.decimalPlace; //小数位数
        itemParam.dataAttr = form['dataAttr'];
        itemParam.maxlength = form['length'];
        /*if(itemParam.dataAttr){
          alert("265====="+itemParam.dataAttr.textLineFeed);
        }*/
        //宏值签名图片
        if (itemParam.dataAttr && itemParam.dataAttr.dataSrc == '2' && itemParam.dataAttr.fromMacro.value == 'currentUserSignPic') {

          if (value) {
            value = value.split('_')[0];
            value = context + '/api/m/plugin/attachment/mobile/viewImage?token=' + token + '&fid=' + value;
            //alert("value==="+value);
          }
        }
        var calculateExpList = data.calculateExpList; //计算公式列表
        var calculateExp = form.calculateExp; //计算公式
        if (calculateExp) {
          var fieldArray = this.getFieldArray(calculateExp);
          if (!value) {
            value = this.dealwithCalculate(calculateExp, fieldArray, form, allForm);
          }
          for (var i = 0; i < fieldArray.length; i++) {
            var calculateExpValue;
            if (calculateExpList) {
              calculateExpValue = calculateExpList[fieldArray[i]];
              if (!calculateExpValue) {
                calculateExpValue = [];
              }
            } else {
              calculateExpList = {};
              calculateExpValue = [];
            }

            var calculateExpValueItem = {};
            calculateExpValueItem.exp = calculateExp; //计算公式
            calculateExpValueItem.result = uniqueName; //公式结果字段
            calculateExpValueItem.key = key; //公式结果字段key
            calculateExpValue.push(calculateExpValueItem);
            calculateExpList[fieldArray[i]] = calculateExpValue;
          }
          data.calculateExpList = calculateExpList;
        }

        //todo 百分位千分位
        // if(itemParam.dataAttr){
        //   var type = itemParam.dataAttr.dataSrc;
        //   if(type == "1"){
        //     value = parseFloat(value)*100+"%";
        //   }else if(type == "2"){
        //     value = this.toThousands(parseFloat(value));
        //   }
        // }
      } else if (itemType == 'textarea') {
        //多行
        itemParam.maxlength = form['length'];
        itemParam.fieldType = form.fieldType;
      } else if (itemType == 'title') {
        //标题
        value = form.title;
      } else if (itemType == 'radio') {
        //单选
        var selectItem = form.multiItems; //选项
        var selectOptions = [];
        if (selectItem) {
          if (selectItem.length > 0) {
            selectItem.map(function (item) {
              if (typeof item.state == 'undefined' || item.state == "1" || item.state == "0" && readOnly == true) {
                var option = {};
                option.value = item.value;
                option.text = item.name;
                // if(status != '0'){
                if (value == item.value) {
                  value = { value: value, text: item.name };
                }
                // }
                selectOptions.push(option);
              }
            });
          }
        }
        if (value == "") {
          value = null;
        }
        itemParam.selectOptions = selectOptions;
        itemParam.selectItem = selectOptions;
      } else if (itemType == 'checkbox') {
        //多选
        var selectItem = form.multiItems; //选项
        var selectOptions = [];
        if (selectItem) {
          var valueArray = [];
          //if(status != '0'){
          if (value || value == 0) {
            if (value.indexOf("[") >= 0) {
              valueArray = JSON.parse(value);
            } else {
              valueArray = value.split(",");
            }
          }
          // }
          if (selectItem.length > 0) {
            selectItem.map(function (item) {
              if (typeof item.state == 'undefined' || item.state == "1" || item.state == "0" && readOnly == true) {
                var option = {};
                option.value = item.value;
                option.text = item.name;
                option.disable = false;
                option.checked = false;
                if (valueArray.length > 0) {
                  for (var i = 0; i < valueArray.length; i++) {
                    if (valueArray[i] == item.value) {
                      option.checked = true;
                    }
                  }
                }
                selectOptions.push(option);
              }
            });
          }
        }
        itemParam.selectOptions = selectOptions;
        itemParam.selectItem = selectOptions;
      } else if (itemType == 'select') {
        //下拉选择
        var selectItem = form.multiItems; //选项
        isVerifySingValue = value;

        if (form.dataAttr && form.dataAttr.selectClass && form.dataAttr.selectClass == "2") {
          //当多选时只显示
          itemParam.itemType = "checkbox";
          itemParam.realType = "select";
          // itemParam.readOnly=true;
          var selectOptions = [];
          if (value) {
            var valueArray = [];
            if (valueArray.indexOf("[") >= 0) {
              valueArray = JSON.parse(value);
            } else {
              valueArray.push(value);
            }
            var valueArray = JSON.parse(value);
            selectItem.map(function (selectI) {
              valueArray.map(function (item) {
                if (typeof selectI.state == 'undefined' || selectI.state == "1" || selectI.state == "0" && readOnly == true) {
                  if (selectI.value == item) {
                    var option = {};
                    option.value = selectI.value;
                    option.text = selectI.name;
                    option.disable = false;
                    option.checked = true;
                    selectOptions.push(option);
                  } else {
                    var option = {};
                    option.value = selectI.value;
                    option.text = selectI.name;
                    option.disable = false;
                    option.checked = false;
                    selectOptions.push(option);
                  }
                }
              });
              // showValue+=","+item;
            });

            // var showValue = "";
            valueArray.map(function (item) {
              var hasValue = false;
              selectItem.map(function (selectI) {
                if (selectI.value == item && (typeof selectI.state == 'undefined' || selectI.state == "1" || selectI.state == "0" && readOnly == true)) {
                  hasValue = true;
                }
              });
              if (!hasValue) {
                var option = {};
                option.value = item;
                option.text = item;
                option.disable = false;
                option.checked = true;
                selectOptions.push(option);
              }
              // showValue+=","+item;
            });
            // if(showValue){
            //   value = showValue.substring(1);
            // }
          } else {
            selectItem.map(function (selectI) {
              if (typeof selectI.state == 'undefined' || selectI.state == "1" || selectI.state == "0" && readOnly == true) {
                var option = {};
                option.value = selectI.value;
                option.text = selectI.name;
                option.disable = false;
                option.checked = false;
                selectOptions.push(option);
              }
            });
          }
          itemParam.selectOptions = selectOptions;
          itemParam.selectItem = selectOptions;
        } else {
          var selectOptions = [];
          if (selectItem) {
            if (selectItem.length > 0) {
              selectItem.map(function (item) {
                if (typeof item.state == 'undefined' || item.state == "1" || item.state == "0" && readOnly == true) {
                  var option = {};
                  option.value = item.value;
                  option.text = item.name;
                  // if(status != '0'){ //非新增
                  if (value == item.value) {
                    value = { value: value, text: item.name };
                  }
                  /*}else{
                    var defaultValue=form.defaultValue;
                    if(defaultValue == item.value){
                      value = {value:value,text:item.name};
                    }
                  }*/
                  selectOptions.push(option);
                }
              });
            }
          }
          if (value == "") {
            value = null;
          }
          itemParam.selectOptions = selectOptions;
          itemParam.selectItem = selectOptions;
        }
      } else if (itemType == 'datetime') {
        //时间
        if (value) {
          if (value.length == 10) {
            isVerifySingValue = value + " 00:00:00";
          } else if (value.length == 13) {
            isVerifySingValue = value + ":00:00";
          } else if (value.length == 16) {
            isVerifySingValue = value + ":00";
          } else {
            isVerifySingValue = value;
          }
        }
        var dateFormat = form.dateFormat;
        var dateFormatShow = "";
        if (form.dataAttr && typeof form.dataAttr != "undefined") {
          var dateDisplayFormat = form.dataAttr.dateDisplayFormat;
          if (dateDisplayFormat == "STime" || dateFormat == "YMDHM") {
            dateFormat = "YMDHM";
          } else if (dateDisplayFormat == "YearMon") {
            dateFormat = "YM";
          } else if (dateDisplayFormat == "Year") {
            dateFormat = "Y";
          } else if (dateDisplayFormat == "ODate") {
            dateFormat = "YMD";
          } else if (dateDisplayFormat == "zhDate") {
            dateFormat = "YMD";
            dateFormatShow = "zhDate";
          } else if (dateDisplayFormat == "AmPmDate") {
            dateFormat = "YMDT";
            dateFormatShow = "AmPmDate";
          } else if (dateDisplayFormat == "DateInterval") {
            dateFormat = "DateInterval";
            dateFormatShow = "dayWithSlot";
          } else if (dateDisplayFormat == "DateTimeInterval") {
            dateFormat = "DateInterval";
            dateFormatShow = "dayWithTime";
          } else {
            dateFormat = "YMDHM";
          }
          var minDate = form.dataAttr.minDate;
          var maxDate = form.dataAttr.maxDate;
          if (minDate) {
            itemParam.minDate = minDate;
          }
          if (maxDate) {
            itemParam.maxDate = maxDate;
          }
          var fromCalculate = form.dataAttr.fromCalculate;
          if (fromCalculate && typeof fromCalculate != "undefined") {
            var calculateExpList = fromCalculate.calculateExpList; //计算公式列表
            var calculateExp = fromCalculate.calculateExp; //计算公式
            if (calculateExp) {
              var fieldArray = this.getFieldArray(calculateExp);
              if (!value) {
                value = this.dealwithCalculate(calculateExp, fieldArray, form, allForm);
              }
              for (var i = 0; i < fieldArray.length; i++) {
                var calculateExpValue;
                if (calculateExpList) {
                  calculateExpValue = calculateExpList[fieldArray[i]];
                  if (!calculateExpValue) {
                    calculateExpValue = [];
                  }
                } else {
                  calculateExpList = {};
                  calculateExpValue = [];
                }

                var calculateExpValueItem = {};
                calculateExpValueItem.exp = calculateExp; //计算公式
                calculateExpValueItem.result = uniqueName; //公式结果字段
                calculateExpValueItem.key = key; //公式结果字段key
                calculateExpValue.push(calculateExpValueItem);
                calculateExpList[fieldArray[i]] = calculateExpValue;
              }
              data.calculateExpList = calculateExpList;
            }
          }
        } else {
          dateFormat = "YMDHM";
        }
        itemParam.dateFormat = dateFormat;
        itemParam.dateFormatShow = dateFormatShow;
        if (dateFormat == "DateInterval") {
          if (value) {
            var valueArray = value.split(" - ");
            if (valueArray.length == 2) {
              var newDate = {};
              newDate.startDate = new Date(valueArray[0].replace(/-/g, "/")).getTime();
              newDate.endDate = new Date(valueArray[1].replace(/-/g, "/")).getTime();
              value = newDate;
            }
          }
        } else {
          if (value && Array.isArray(value)) {
            if (value.length == 5) {
              var month = value[1] < 10 ? '0' + value[1] : value[1];
              var day = value[2] < 10 ? '0' + value[2] : value[2];
              var min = value[3] < 10 ? '0' + value[3] : value[3];
              var second = value[4] < 10 ? '0' + value[4] : value[4];
              value = value[0] + "/" + month + "/" + day + " " + min + ":" + second;
              value = new Date(value).getTime();
            } else if (value.length == 3) {
              var month = value[1] < 10 ? '0' + value[1] : value[1];
              var day = value[2] < 10 ? '0' + value[2] : value[2];
              value = value[0] + "/" + month + "/" + day;
              value = new Date(value).getTime();
            } else {
              value = null;
            }

            var dateStr = this.dateFormat(value, dateFormat);
            var mainTblData = data.mainTblData;
            mainTblData.map(function (item, index) {
              if (item.key == key) {
                item.value = dateStr;
              }
            });
          } else if (value && value.length >= 10) {
            value = value.substring(0, 19);
            value = new Date(value.replace(/-/g, "/")).getTime();
          } else if (value && value.length == 4 && dateFormat == "Y") {
            value = new Date(value).getTime();
          } else if (value && value.length == 7 && dateFormat == "YM") {
            value = new Date(value).getTime();
          } else {
            for (var i = 0; i < mainTblData.length; i++) {
              if (itemParam.key == mainTblData[i].key) {
                mainTblData[i].value = "";
              }
            }
            value = null;
          }
        }

        if (readOnly == true) {
          var dateStr = this.dateFormat(value, dateFormat, dateFormatShow);
          value = dateStr;
        }
      } else if (itemType == 'datetimeStep') {
        //时间
        var dateFormat = form.dateFormat;
        if (!dateFormat) {
          dateFormat = "YMD";
        }
        itemParam.dateFormat = dateFormat;
        itemParam.selectValue = form.selectValue;
        if (value) {
          value = new Date(value.replace(/-/g, "/")).getTime();
        } else {
          value = null;
          for (var i = 0; i < mainTblData.length; i++) {
            if (itemParam.key == mainTblData[i].key) {
              mainTblData[i].value = "";
            }
          }
        }
      } else if (itemType == 'scale') {//矩阵
      } else if (itemType == 'mulscale') {//矩阵量表
      } else if (itemType == 'comment') {
        //批示意见
        itemParam.show = false;
        var commentFieldList = [];
        for (var _i = 0; _i < commentList.length; _i++) {
          var commentItem = commentList[_i];
          if (commentItem.field == tableName + '_' + key) {
            //评论id和code
            commentFieldList.push(commentItem);
          }
          if (itemParam.uniqueName == commentItem.field) {
            itemParam.show = true;
          }
        }
        itemParam.topicType = itemType;
        value = commentFieldList;

        if (t.state.commentField == itemParam.uniqueName && t.state.hasCommentField == '1') {
          this.props.newspyj.documentId = t.state.prefixName + "_" + itemParam.key;
          itemParam.show = true;
        }
      } else if (itemType == 'upload' || itemType == 'image') {
        //附件图片
        var formDataAttr = form.dataAttr;
        var uploadFileNumLimit = "";
        var uploadFileLimit = "";
        var canDownload = "";
        if (formDataAttr) {
          uploadFileNumLimit = formDataAttr.uploadFileNumLimit; //上传个数限制
          uploadFileLimit = formDataAttr.uploadFileLimit; //上传类型限制
          canDownload = formDataAttr.canDownload; //是否下载
        }
        if (value) {
          value = value.replace(/\|/g, ",");
          itemParam.initIds = value;
          value = [];
        } else {
          value = [];
        }
        if (uploadFileNumLimit) {
          itemParam.uploadFileNumLimit = uploadFileNumLimit;
        } else {
          itemParam.uploadFileNumLimit = -1;
        }

        if (uploadFileLimit) {
          itemParam.uploadFileLimit = uploadFileLimit;
        } else {
          itemParam.uploadFileLimit = "";
        }
        if (canDownload) {
          itemParam.canDownload = canDownload;
        } else {
          itemParam.canDownload = "0";
        }
      } else if (itemType == 'poppage') {
        //弹出选择

        var popCode = "";
        var chooseWay = "checkbox";
        var dataSrc = "";
        if (form.poppageMap) {
          popCode = form.poppageMap.chooseObj;
          chooseWay = form.poppageMap.chooseWay;
        }
        //弹出选择历史记录表现形式
        if (form.dataAttr) {
          dataSrc = form.dataAttr.dataSrc;
        }
        if (popCode == '' && (!dataSrc || dataSrc != "7")) {
          //如果弹出选择的编码为空
          _Toast2.default.show({
            type: 'error',
            content: "未查找到对应的弹出选择"
          });
          return false;
        } else if (dataSrc == "7") {
          itemParam.itemType = "";
        }
        itemParam.chooseWay = chooseWay;
        itemParam.popCode = popCode;
      } else if (itemType == 'popuser') {
        //弹出选择
        var popCode = "";
        var chooseWay = "checkbox";
        var scopeTable = "";
        if (form.popuserMap) {
          if (form.popuserMap.popCode) {
            //新的选人组件选项
            popCode = form.popuserMap.popCode;
            chooseWay = form.popuserMap.chooseWay;
            itemParam.chooseObj = form.popuserMap.chooseObj;
            //表单默认值
            if (form.popuserMap.defaultUserScopeJson) {
              itemParam.defaultValue = JSON.parse(form.popuserMap.defaultUserScopeJson);
            }
          } else {
            popCode = form.popuserMap.chooseObj;
            chooseWay = form.popuserMap.chooseWay;
          }
          if (form.popuserMap.chooseScope) {
            if (form.popuserMap.chooseScope == 5) {
              itemParam.queryLimit = form.popuserMap.chooseScope;
              itemParam.limitData = getLoginUserInfo().orgId;
            } else if (form.popuserMap.chooseScope == "all") {} else if (form.popuserMap.chooseScope == "3") {
              itemParam.queryLimit = 3;
              itemParam.limitData = form.popuserMap.chooseScopeData;
            } else {
              itemParam.queryLimit = 5;
              itemParam.limitData = form.popuserMap.chooseScope;
            }
            // else if(form.popuserMap.chooseScope == "4"){//查上级
            //   itemParam.queryLimit = "3";
            //   itemParam.limitData = form.popuserMap.chooseScopeVal;
            // }

          }
          scopeTable = form.popuserMap.scopeTable;
        } else {
          popCode = "user";
          chooseWay = "radio";
          scopeTable = form.scopeTableName;
        }
        if (popCode == '') {
          //如果用户选择的编码为空
          _Toast2.default.show({
            type: 'error',
            content: "用户选择组件设置异常！"
          });
          return false;
        }
        itemParam.checkType = chooseWay;
        itemParam.code = popCode;
        itemParam.fieldTable = tableName;
        itemParam.fieldData = key;
        itemParam.scopeTable = scopeTable;
        itemParam.isDelete = true;
      } else if (itemType == 'note') {
        //说明
        itemParam.explain = form.explain;
        itemParam.explainUrl = form.explainUrl;
        itemParam.explainShow = form.explainShow;
        itemParam.noteFileIds = form.noteFileIds ? form.noteFileIds : "";
        itemParam.noteImageIds = form.noteImageIds ? form.noteImageIds : "";
      } else if (itemType == 'switch') {
        //开关
        if (status != '0') {
          //非新增
          if (value) {
            if (value == '1') {
              value = true;
            } else {
              value = false;
            }
          } else {
            value = false;
          }
        } else {
          var defaultValue = form.defaultValue;
          if (defaultValue) {
            if (defaultValue == '1') {
              value = true;
            } else {
              value = false;
            }
          } else {
            value = false;
          }
        }
      } else if (itemType == 'positioning') {//地图定位
      } else if (itemType == 'weboffice') {
        //在线编辑
        var formDataAttr = form.dataAttr;
        itemParam.webofficeDownload = formDataAttr && formDataAttr.webofficeDownload == '0' ? false : true;
        if (typeof FlowCommon.dealwithWeboffice === "function" && value != null && value != "") {
          FlowCommon.dealwithWeboffice(value, function (content) {
            itemParam.initIds = content;
            itemParam.value = value;
            //处理特有按钮事件
            if (typeof FlowCommon.dealwithCommonFormParam === "function") {
              itemParam = FlowCommon.dealwithCommonFormParam(itemParam, this);
              itemType = itemParam.itemType;
            }
            //项目开发扩展
            var mobileExt;
            try {
              if (formKey) {
                mobileExt = typeof eval(module + "_" + formKey + "_mobileExt") !== 'undefined' ? eval(module + "_" + formKey + "_mobileExt") : null;
              }
            } catch (e) {
              // alert("exception: "+e.message);
            }
            if (typeof mobileExt !== 'undefined' && typeof mobileExt["dealwithFormParamExt"] === "function") {
              itemParam = mobileExt["dealwithFormParamExt"](itemParam, this);
              itemType = itemParam.itemType;
            }
            t.setState({
              itemParam: itemParam,
              loaded: true
            }, function () {
              t.refs["upload_" + t.state.itemParam.tableName + "_" + t.state.itemParam.key].initData();

              //修改样式
              var styleStr = "";
              var objs = itemParam.formStyleObj.contentStyle;
              if (objs != null && objs != '' && objs != undefined && objs.fontFamily != null) {
                styleStr = "font-family: '" + objs.fontFamily + "';" + "color:" + objs.color + ";" + "font-size:" + objs.fontSize + ";" + "font-weight:" + objs.fontWeight + ";" + "font-style:" + objs.fontStyle;
              }

              var placeholderStyleStr = "";
              if (objs != null && objs != '' && objs != undefined && objs.fontFamily != null) {
                placeholderStyleStr = "font-family: '" + objs.fontFamily + "';" + "font-size:" + objs.fontSize + ";" + "font-weight:" + objs.fontWeight + ";" + "font-style:" + objs.fontStyle;
              }
              if (itemParam.fieldId != null && itemParam.fieldId != "") {
                if ($("." + itemParam.fieldId).find(".t-text-field-placeholder").length > 0) {
                  $("." + itemParam.fieldId).find(".t-text-field-placeholder").attr("style", placeholderStyleStr);
                }
                if ($("." + itemParam.fieldId).find(".t-select-field-placeholder").length > 0) {
                  $("." + itemParam.fieldId).find(".t-select-field-placeholder").attr("style", placeholderStyleStr);
                }
                if ($("." + itemParam.fieldId).find(".t-datetime-field-placeholder").length > 0) {
                  $("." + itemParam.fieldId).find(".t-datetime-field-placeholder").attr("style", placeholderStyleStr);
                }
              }
            });
            t.props.onChange(data, t.state.itemParam);
          });
        } else {
          itemParam.value = value;

          //处理特有按钮事件
          if (typeof FlowCommon.dealwithCommonFormParam === "function") {
            itemParam = FlowCommon.dealwithCommonFormParam(itemParam, this);
            itemType = itemParam.itemType;
          }
          //项目开发扩展
          var mobileExt;
          try {
            if (formKey) {
              mobileExt = typeof eval(module + "_" + formKey + "_mobileExt") !== 'undefined' ? eval(module + "_" + formKey + "_mobileExt") : null;
            }
          } catch (e) {
            // alert("exception: "+e.message);
          }
          if (typeof mobileExt !== 'undefined' && typeof mobileExt[module + "_dealwithFormParamExt"] === "function") {
            itemParam = mobileExt[module + "_dealwithFormParamExt"](itemParam, this);
            itemType = itemParam.itemType;
          }
          t.setState({
            itemParam: itemParam,
            loaded: true
          }, function () {
            t.refs["upload_" + t.state.itemParam.tableName + "_" + t.state.itemParam.key].initData();

            //修改样式
            var styleStr = "";
            var objs = itemParam.formStyleObj.contentStyle;
            if (objs != null && objs != '' && objs != undefined && objs.fontFamily != null) {
              styleStr = "font-family: '" + objs.fontFamily + "';" + "color:" + objs.color + ";" + "font-size:" + objs.fontSize + ";" + "font-weight:" + objs.fontWeight + ";" + "font-style:" + objs.fontStyle;
            }

            var placeholderStyleStr = "";
            if (objs != null && objs != '' && objs != undefined && objs.fontFamily != null) {
              placeholderStyleStr = "font-family: '" + objs.fontFamily + "';" + "font-size:" + objs.fontSize + ";" + "font-weight:" + objs.fontWeight + ";" + "font-style:" + objs.fontStyle;
            }
            if (itemParam.fieldId != null && itemParam.fieldId != "") {
              if ($("." + itemParam.fieldId).find(".t-text-field-placeholder").length > 0) {
                $("." + itemParam.fieldId).find(".t-text-field-placeholder").attr("style", placeholderStyleStr);
              }
              if ($("." + itemParam.fieldId).find(".t-select-field-placeholder").length > 0) {
                $("." + itemParam.fieldId).find(".t-select-field-placeholder").attr("style", placeholderStyleStr);
              }
              if ($("." + itemParam.fieldId).find(".t-datetime-field-placeholder").length > 0) {
                $("." + itemParam.fieldId).find(".t-datetime-field-placeholder").attr("style", placeholderStyleStr);
              }
            }
          });
          t.props.onChange(data, t.state.itemParam);
        }
      }
      itemParam = t.dealwithLinkField(itemParam, data, status);
      itemParam = t.dealwithRelaField(itemParam, allForm);
      if (itemType != 'weboffice') {
        itemParam.value = value;
        //处理特有按钮事件
        if (typeof FlowCommon.dealwithCommonFormParam === "function") {
          itemParam = FlowCommon.dealwithCommonFormParam(itemParam, this);
          itemType = itemParam.itemType;
        }
        //项目开发扩展
        var mobileExt;
        try {
          if (formKey) {
            mobileExt = typeof eval(module + "_" + formKey + "_mobileExt") !== 'undefined' ? eval(module + "_" + formKey + "_mobileExt") : null;
          }
        } catch (e) {
          // alert("exception: "+e.message);
        }
        if (typeof mobileExt !== 'undefined' && typeof mobileExt["dealwithFormParamExt"] === "function") {
          itemParam = mobileExt["dealwithFormParamExt"](itemParam, this);
          itemType = itemParam.itemType;
        }
        this.setState({
          itemParam: itemParam,
          loaded: true
        }, function () {
          if (itemType == 'popuser') {
            if (status > 0 && preCaFields.indexOf("," + uniqueName + ",") >= 0 && value != "") {
              var bizSn = data.dataId + uniqueName;
              this.refs['selectMember_' + key].initSelectData(bizSn, itemParam.fieldId);
            } else {
              this.refs['selectMember_' + key].initSelectData();
            }
          }
          if (itemType == 'upload' || itemType == 'image' || itemType == 'weboffice') {
            this.refs["upload_" + t.state.itemParam.tableName + "_" + t.state.itemParam.key].initData();
          }
          if (itemType == 'note') {
            if (itemParam.noteFileIds) {
              this.refs["note_file_" + t.state.itemParam.fieldId].initData();
            }
            if (itemParam.noteImageIds) {
              this.refs["note_image_" + t.state.itemParam.fieldId].initData();
            }
          }

          //修改样式
          var styleStr = "";
          var objs = itemParam.formStyleObj.contentStyle;
          if (objs != null && objs != '' && objs != undefined && objs.fontFamily != null) {
            styleStr = "font-family: '" + objs.fontFamily + "';" + "color:" + objs.color + ";" + "font-size:" + objs.fontSize + ";" + "font-weight:" + objs.fontWeight + ";" + "font-style:" + objs.fontStyle;
          }
          if (itemType == "text") {
            $("." + itemParam.fieldId).find(".t-text-field-input").attr("style", styleStr);
            $("." + itemParam.fieldId).find(".t-FB1").find("span").attr("style", styleStr);
          } else if (itemType == "select") {
            $("." + itemParam.fieldId).find(".t-FB1").find("span").attr("style", styleStr);
          } else if (itemType == "checkbox") {
            $("." + itemParam.fieldId).find(".t-checkbox-field-value-list").attr("style", styleStr);
          } else if (itemType == 'textarea') {
            $("." + itemParam.fieldId).find(".t-textarea-field-content").attr("style", styleStr);
          } else if (itemType == 'popuser') {
            if (objs != null && objs != '' && objs != undefined && objs.fontFamily != null) {
              styleStr = "font-family: '" + objs.fontFamily + "';" + "font-size:" + objs.fontSize + ";" + "font-weight:" + objs.fontWeight + ";" + "font-style:" + objs.fontStyle;
            }
            $("." + itemParam.fieldId).find(".t-popuser-placeholder").attr("style", styleStr);
          } else if (itemType == 'poppage') {
            if (objs != null && objs != '' && objs != undefined && objs.fontFamily != null) {
              styleStr = "font-family: '" + objs.fontFamily + "';" + "font-size:" + objs.fontSize + ";" + "font-weight:" + objs.fontWeight + ";" + "font-style:" + objs.fontStyle;
            }
            $("." + itemParam.fieldId).find(".t-poppage-placeholder").attr("style", styleStr);
          } else if (itemType == 'datetime') {
            // alert($("." + itemParam.fieldId).find(".t-datetime-field-value").find("span").text());
            $("." + itemParam.fieldId).find(".t-datetime-field-value").find("span").attr("style", styleStr);
            // $("." + itemParam.fieldId).find(".t-datetime-field-value").find("span").attr("style",styleStr);
          }

          var placeholderStyleStr = "";
          if (objs != null && objs != '' && objs != undefined && objs.fontFamily != null) {
            placeholderStyleStr = "font-family: '" + objs.fontFamily + "';" + "font-size:" + objs.fontSize + ";" + "font-weight:" + objs.fontWeight + ";" + "font-style:" + objs.fontStyle;
          }
          if (itemParam.fieldId != null && itemParam.fieldId != "") {
            if ($("." + itemParam.fieldId).find(".t-text-field-placeholder").length > 0) {
              $("." + itemParam.fieldId).find(".t-text-field-placeholder").attr("style", placeholderStyleStr);
            }
            if ($("." + itemParam.fieldId).find(".t-select-field-placeholder").length > 0) {
              $("." + itemParam.fieldId).find(".t-select-field-placeholder").attr("style", placeholderStyleStr);
            }
            if ($("." + itemParam.fieldId).find(".t-datetime-field-placeholder").length > 0) {
              $("." + itemParam.fieldId).find(".t-datetime-field-placeholder").attr("style", placeholderStyleStr);
            }
          }
        });

        this.props.onChange(data, this.state.itemParam);
      }

      //CA验签
      if (status > 0 && preCaFields.indexOf("," + uniqueName + ",") >= 0 && itemType != 'popuser') {
        //项目开发扩展
        var mobileExt;
        try {
          if (formKey) {
            mobileExt = typeof eval(module + "_" + formKey + "_mobileExt") !== 'undefined' ? eval(module + "_" + formKey + "_mobileExt") : null;
          }
        } catch (e) {
          // alert("exception: "+e.message);
        }
        if (typeof mobileExt !== 'undefined' && typeof mobileExt["casigin"] === "function") {
          var isVerifySing = mobileExt["casigin"](itemParam, data, uniqueName, isVerifySingValue);
          itemParam.isVerifySing = isVerifySing;
          this.setState(itemParam);
        } else {
          this.casigin(itemParam, data, uniqueName, isVerifySingValue);
        }
      }
    }

    //验签

  }, {
    key: 'casigin',
    value: function casigin(itemParam, data, uniqueName, value) {
      if (value && value != null && value != "" && typeof value != "undefined") {
        var t = this;
        var dataId = data.dataId;
        var param = {};
        param.bizSn = dataId + uniqueName;
        param.relationId = getLoginUserInfo().mobile;
        param.msg = value;

        // setTimeout(function(){
        //   itemParam.isVerifySing = "1";
        //   t.setState({
        //     itemParam: itemParam
        //   });
        // },1000)
        _db2.default.FlowApproval.verifySign(param).then(function (content) {
          var result = content.verifySignRes;
          if (result == 'success') {
            itemParam.isVerifySing = "1";
            t.setState({
              itemParam: itemParam
            });
          }
        }).catch(function (error) {
          if (error.errorMsg == "签名值与原文不匹配") {
            itemParam.isVerifySing = "2";
            t.setState({
              itemParam: itemParam
            });
          }
          //  else{
          //   Toast.show({
          //     type: 'error',
          //     content: error.errorMsg,
          //   });
          //  }
        });
      }
    }

    //处理计算

  }, {
    key: 'dealwithCalculate',
    value: function dealwithCalculate(calculateExp, fieldArray, formItem, allForm) {
      for (var j = 0; j < fieldArray.length; j++) {
        var fieldArrayItem = fieldArray[j];
        var fieldArrayItemValue = "";
        for (var i = 0; i < allForm.item.length; i++) {
          if (fieldArrayItem == allForm.item[i].uniqueName) {
            fieldArrayItemValue = allForm.item[i].defaultValue;
          }
        }
        calculateExp = calculateExp.replace(new RegExp("\\[" + fieldArrayItem + "\\]", "g"), "(" + fieldArrayItemValue + ")");
      }
      calculateExp = calculateExp.replace(new RegExp("rmb\\(", "g"), 'calculate.rmb(');
      var res = "";
      try {
        res = eval(calculateExp);
      } catch (e) {
        res = '';
      }
      return res;
    }

    //级联关联字段初始化

  }, {
    key: 'dealwithLinkField',
    value: function dealwithLinkField(itemParam, data, status) {
      if (",radio,checkbox,select,".indexOf("," + itemParam.itemType + ",") != -1) {
        if (status == '0') {
          var form = this.props.form;
          if (form.multiItemsLinkField) {
            var selectOptions = [];
            form.multiItemsLinkField.map(function (item) {
              var option = {};
              option.value = item.value;
              option.text = item.name;
              selectOptions.push(option);
            });
            itemParam.selectOptions = selectOptions;
          }
        } else if (status == '1') {
          if (data.mainTblData && data.mainTblData.length > 0) {
            var selectOptions = [];
            for (var i = 0; i < data.mainTblData.length; i++) {
              var item = data.mainTblData[i];
              if (item.key == itemParam.key && item.multiItemsLinkField) {
                var selectOptions = [];
                item.multiItemsLinkField.map(function (multiItems) {
                  var option = {};
                  option.value = multiItems.value;
                  option.text = multiItems.name;
                  selectOptions.push(option);
                });
                itemParam.selectOptions = selectOptions;
              }
            }
          }
        }
      }

      // var linkFieldArray = linkFields[itemParam.fieldId];
      // if(linkFieldArray && linkFieldArray.length>0){
      //   var triggerFormFields = "";
      //   var conditionArrayJSON = [];
      //   linkFieldArray.map(function(linkFieldArrayItem){
      //     triggerFormFields+=","+linkFieldArrayItem.formField;
      //     var option = {};
      //     option.value = linkFieldArrayItem.value;
      //     option.formField = linkFieldArrayItem.formField;
      //     conditionArrayJSON.push(option);
      //   });
      //   if(triggerFormFields){
      //     triggerFormFields = triggerFormFields.substring(1);
      //   }


      // }
      return itemParam;
    }

    // 左边补零

  }, {
    key: 'addZero',
    value: function addZero(num) {
      return '' + (num < 10 ? '0' : '') + num;
    }

    //处理关联字段初始化

  }, {
    key: 'dealwithRelaField',
    value: function dealwithRelaField(itemParam, allForm) {
      var formRelaFieldMaps = this.props.formRelaFieldMaps;
      if (formRelaFieldMaps) {
        if (formRelaFieldMaps[itemParam.uniqueName]) {
          var data = this.props.data;
          var mainTblData = data.mainTblData;
          var mainTblName = data.mainTblName;
          // var subTbl = data.subTbl; 
          var subTbl = allForm;
          var formRelaFieldMapsArray = formRelaFieldMaps[itemParam.uniqueName];
          formRelaFieldMapsArray.map(function (item) {
            if (item.triggerTblName == mainTblName) {
              mainTblData.map(function (mainTblDataItem) {
                if (item.triggerFieldName == mainTblDataItem.key) {
                  // if(item.triggerFieldVal == mainTblDataItem.value){
                  var editType = item.editType;
                  if (editType == 'hide') {
                    // relaFieldMap["key"]="isHidden";
                    if (item.triggerFieldVal == mainTblDataItem.value) {
                      itemParam.isHidden = true;
                    } else {
                      itemParam.isHidden = false;
                    }
                  } else if (editType == 'must') {
                    // relaFieldMap["key"]="required";
                    var triggerFieldValBoolean = false;
                    if (item.triggerFieldVal == mainTblDataItem.value) {
                      itemParam.required = true;
                      triggerFieldValBoolean = true;
                    } else {
                      itemParam.required = false;
                      triggerFieldValBoolean = false;
                    }
                    // var relaFieldNameArray = formRelaFieldMapsObjItem.relaFieldName.split(",");
                    // mainTblData.map(function(item){
                    //   if(item.key==relaFieldNameArray[index]){
                    //     item.required = triggerFieldValBoolean;
                    //   }
                    // });
                    if (item.relaFieldName == mainTblDataItem.key) {
                      mainTblDataItem.required = triggerFieldValBoolean;
                    }
                  } else if (editType == 'edit') {
                    if (item.triggerFieldVal == mainTblDataItem.value) {
                      itemParam.readOnly = false;
                    } else {
                      itemParam.readOnly = true;
                    }
                  }
                  // }
                }
              });
            } else {
              var subTbls = subTbl.item;
              subTbls.map(function (subTblItem) {
                if (subTbl.tblName == item.triggerTblName) {
                  var subTblData = subTblItem;
                  subTblData.map(function (mainTblDataItem) {
                    if (item.triggerFieldName == mainTblDataItem.itemCode) {
                      // if(item.triggerFieldVal == mainTblDataItem.value){
                      var editType = item.editType;
                      if (editType == 'hide') {
                        // relaFieldMap["key"]="isHidden";
                        if (item.triggerFieldVal == mainTblDataItem.value) {
                          itemParam.isHidden = true;
                        } else {
                          itemParam.isHidden = false;
                        }
                      } else if (editType == 'must') {
                        // relaFieldMap["key"]="required";
                        var triggerFieldValBoolean = false;
                        if (item.triggerFieldVal == mainTblDataItem.value) {
                          itemParam.required = true;
                          triggerFieldValBoolean = true;
                        } else {
                          itemParam.required = false;
                          triggerFieldValBoolean = false;
                        }
                        // var relaFieldNameArray = formRelaFieldMapsObjItem.relaFieldName.split(",");
                        // mainTblData.map(function(item){
                        //   if(item.key==relaFieldNameArray[index]){
                        //     item.required = triggerFieldValBoolean;
                        //   }
                        // });
                        if (item.relaFieldName == mainTblDataItem.itemCode) {
                          mainTblDataItem.required = triggerFieldValBoolean;
                        }
                      } else if (editType == 'edit') {
                        if (item.triggerFieldVal == mainTblDataItem.value) {
                          itemParam.readOnly = false;
                        } else {
                          itemParam.readOnly = true;
                        }
                      }
                      // }
                    }
                  });
                }
              });
            }
          });
        }
      }
      return itemParam;
    }

    //从计算表达式中获取涉及的字段

  }, {
    key: 'getFieldArray',
    value: function getFieldArray(exp) {
      var fieldArray = [];
      var expProcessStepOne = exp.split('[');
      for (var i = 1; i < expProcessStepOne.length; i++) {
        var expProcessStepTwo = expProcessStepOne[i].split(']');
        if (expProcessStepTwo.length > 0) {
          var fieldUniqueName = expProcessStepTwo[0];
          if (fieldUniqueName.length > 0) {
            fieldArray.push(fieldUniqueName);
          }
        }
      }
      return fieldArray;
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.loadComponet();
    }

    //重新加载组件

  }, {
    key: 'reloadItemParam',
    value: function reloadItemParam(itemNew) {
      if (itemNew != null && itemNew != undefined && Array.isArray(itemNew)) {
        var itemParam = this.state.itemParam;
        var selectText = ''; //多选值修改的显示文本
        var checkboxValueHas = false; //是否有多选值修改
        for (var i = 0; i < itemNew.length; i++) {
          var key = itemNew[i].key;
          if (key == 'value') {
            if (itemParam.itemType == 'positioning') {} else if (itemParam.itemType == 'select' || itemParam.itemType == 'radio') {
              var selectOptions = itemParam.selectOptions;
              var valueHas = false; //判断传过来的值是否有匹配
              selectOptions.map(function (item) {
                if (item.value == itemNew[i].value) {
                  itemParam[key] = item;
                  valueHas = true;
                }
              });
              if (!valueHas) {
                itemParam[key] = null;
              }
            } else if (itemParam.itemType == 'checkbox') {
              var selectOptions = itemParam.selectOptions;
              var valueHas = false; //判断传过来的值是否有匹配
              var value = itemNew[i].value;
              var valueArray = value.split(",");
              selectOptions.map(function (item1) {
                var isHas = false;
                valueArray.map(function (item2) {
                  if (item1.value == item2) {
                    item1.checked = true;
                    selectText += item1.text + ',';
                    isHas = true;
                  }
                });
                if (!isHas) {
                  item1.checked = false;
                }
              });
              if (selectText != '') {
                selectText = selectText.substring(0, selectText.length - 1);
              }
              checkboxValueHas = true;
            } else {
              itemParam[key] = itemNew[i].value;
            }
          } else {
            itemParam[key] = itemNew[i].value;
          }
        }
        this.setState({
          itemParam: itemParam
        }, function () {
          if (checkboxValueHas) {
            this.refs["checkbox_" + itemParam.tableName + "_" + itemParam.key].setState({
              selectedText: selectText
            });
          }

          if (itemParam.itemType == 'popuser') {
            this.refs['selectMember_' + itemParam.key].initSelectData();
          }
        });
      }
    }

    //获取字段的itemParam属性

  }, {
    key: 'getItemParam',
    value: function getItemParam() {
      var itemParam = this.state.itemParam;
      return itemParam;
    }

    //检查是否有子

  }, {
    key: 'checkIsHasSub',
    value: function checkIsHasSub(mainTblData, code) {
      var result = false;
      for (var i = 0; i < mainTblData.length; i++) {
        if (mainTblData[i].key == code) {
          result = true;
        }
      }
      return result;
    }
    //处理主表数据

  }, {
    key: 'dealwithData',
    value: function dealwithData(itemParam, mainTblData, relatedTbl) {
      var itemCode = itemParam.key;
      var itemType = itemParam.itemType;
      var value = '';

      var formTblId = this.props.allForm.formTblId;
      var fieldTblId = itemParam.tblId;
      var fieldTblName = itemParam.tblName;
      if (formTblId.indexOf(fieldTblId) > 0) {
        if (relatedTbl.length > 0) {
          for (var i = 0; i < relatedTbl.length; i++) {
            var item = relatedTbl[i];
            if (item.relatedMainTblName == fieldTblName) {
              var relatedMainTblData = item.relatedMainTblData;
              if (relatedMainTblData) {
                for (var j = 0; j < relatedMainTblData.length; j++) {
                  var relatedItem = relatedMainTblData[j];
                  if (relatedItem.key == itemCode) {
                    relatedItem.required = itemParam.required;
                    relatedItem.label = itemParam.title;
                    relatedItem.inputFormat = itemParam.inputFormat;
                    relatedItem.decimalPlace = itemParam.decimalPlace;
                    // if(item.showValue){
                    //   value = item.showValue;
                    //   item.showValue = null;
                    // }else{
                    if (relatedItem.value || relatedItem.value == 0) {
                      value = relatedItem.value;
                    }

                    //}
                    if (itemType == 'text' || itemType == 'textarea') {
                      if (value) {
                        relatedItem.value = value + '';
                      }
                    }
                    break;
                  }
                }
              }
            }
          };
          return value;
        } else {
          return value;
        }
      } else {
        if (mainTblData.length > 0) {
          for (var i = 0; i < mainTblData.length; i++) {
            var item = mainTblData[i];
            if (item.key == itemCode) {
              mainTblData[i].required = itemParam.required;
              mainTblData[i].label = itemParam.title;
              mainTblData[i].inputFormat = itemParam.inputFormat;
              mainTblData[i].decimalPlace = itemParam.decimalPlace;
              // if(item.showValue){
              //   value = item.showValue;
              //   item.showValue = null;
              // }else{
              if (item.value || item.value == 0) {
                value = item.value;
              }

              //}
              if (itemType == 'text' || itemType == 'textarea') {
                if (value) {
                  mainTblData[i].value = value + '';
                }
              }
              break;
            }
          };
          return value;
        } else {
          return value;
        }
      }
    }

    //处理子表数据

  }, {
    key: 'dealwithSubForm',
    value: function dealwithSubForm(subForm, itemParam, subTbl) {
      var subFormList = [];
      subForm = { show: true, form: subForm };
      var itemCode = itemParam.key;
      var value = [];
      if (subTbl.length > 0) {
        for (var i = 0; i < subTbl.length; i++) {
          var item = subTbl[i];
          if (item.subTblName == itemCode) {
            var subTblData = item.subTblData;
            if (subTblData.length > 0) {
              for (var j = 0; j < subTblData.length; j++) {
                value.push({ mainTblData: subTblData[j], mainTblName: itemCode });
                subFormList.push(subForm);
              }
            } else {
              value.push({ mainTblData: [], mainTblName: itemCode });
              subFormList.push(subForm);
            }
            break;
          }
        }
      }
      if (subFormList.length > 0) {
        itemParam.subForm = subFormList;
      } else {
        subFormList.push(subForm);
        itemParam.subForm = subFormList;
        value.push({ mainTblData: [], mainTblName: itemCode });
        subTbl.push({ subTblData: [], subTblName: itemCode });
      }
      return value;
    }

    //修改data数据

  }, {
    key: 'editData',
    value: function editData(itemCode, value, data) {
      var itemParam = this.state.itemParam;
      var allForm = this.props.allForm;
      var formTblId = this.props.allForm.formTblId;
      var fieldTblId = itemParam.tblId;
      var fieldTblName = itemParam.tblName;
      //处理操作返回数据
      if (typeof FlowCommon.dealwithReturnData === "function") {
        FlowCommon.dealwithReturnData(itemCode, value, function (itemCode1, value1) {
          itemCode = itemCode1;
          value = value1;
        });
      }
      if (Array.isArray(itemCode) && Array.isArray(value)) {
        //数组时
        for (var i = 0; i < itemCode.length; i++) {
          var mainTblData = data.mainTblData;
          mainTblData.map(function (item, index) {
            if (item.key == itemCode[i]) {
              item.value = value[i];
            }
          });
        }
      } else {
        if (formTblId.indexOf(fieldTblId) > 0) {
          var relatedTbl = data.relatedTbl;
          for (var i = 0; i < relatedTbl.length; i++) {
            var item = relatedTbl[i];
            if (item.relatedMainTblName == fieldTblName) {
              var relatedMainTblData = item.relatedMainTblData;
              for (var j = 0; j < relatedMainTblData.length; j++) {
                if (relatedMainTblData[j].key == itemCode) {
                  relatedMainTblData[j].value = value;
                }
              }
            }
          }
        } else {
          var mainTblData = data.mainTblData;
          mainTblData.map(function (item, index) {
            if (item.key == itemCode) {
              item.value = value;
            }
          });
        }
      }

      return data;
    }

    //文本

  }, {
    key: 'handleTextChange',
    value: function handleTextChange(item, newValue) {
      var inputFormat = item.inputFormat;
      var decimalPlace = parseInt(item.decimalPlace);
      var length = item.maxlength;
      var patrn = /^-?\d+(\.\d+)?$/;
      if (newValue !== '' && newValue != '-') {
        /* var validAttr=item['validAttr'];
          if(validAttr!=null && validAttr.length>0){
            for(var va=0;va<validAttr.length;va++){
              var regular=validAttr[va]['regular'];
              var tips=validAttr[va]['tips'];
              var reg=new RegExp(regular.slice(1,-1),"g"); 
              if(!reg.test(newValue)){
                Toast.show({
                        type: 'error',
                        content:item.title+':'+tips
                      });
                      return false;
              }
              
            }
          }*/
        if (this.checkEmoji(newValue)) {
          _Toast2.default.show({
            type: 'error',
            content: "请输入非表情字符"
          });
          return false;
        }

        if (typeof length != "undefined" && length != null && length != "" && inputFormat == "char") {
          if (newValue.length > length) {
            _Toast2.default.show({
              type: 'error',
              content: item.title + "超过最大长度" + length
            });
            return false;
          }
        }
        if (inputFormat == 'float') {
          if (!Number(newValue) && !patrn.test(Number(newValue))) {
            _Toast2.default.show({
              type: 'error',
              content: item.title + "应为小数"
            });
            return false;
          } else {
            var newValueArray = newValue.split(".");
            if (newValueArray.length > 1) {
              if (newValueArray[1].length > decimalPlace) {
                _Toast2.default.show({
                  type: 'error',
                  content: "小数应小于等于" + decimalPlace
                });
                return false;
              }
            }
          }
        } else if (inputFormat == 'int') {
          if (!/^-?[0-9]\d*$/.test(newValue)) {
            _Toast2.default.show({
              type: 'error',
              content: item.title + "应为整数"
            });
            return false;
          }
        }
      }
      var name = item.key;
      var data = this.props.data;
      data = this.editData(name, newValue, data);
      var itemParam = this.state.itemParam;
      itemParam.value = newValue;
      this.setState({
        itemParam: itemParam
      });

      this.props.onChange(data, itemParam);
    }
  }, {
    key: 'handleTextFocus',
    value: function handleTextFocus(item, newValue) {
      if (newValue !== '' && newValue != '-') {
        var type = item.dataAttr.dataSrc;
        if (type == "1") {
          if (newValue.indexOf("%") >= 0) {
            newValue = parseFloat(newValue) / 100;
          }
        } else if (type == "2") {
          if (newValue.indexOf(",") >= 0) {
            newValue = newValue.replace(/,/g, "");
          }
        }
      }
      var itemParam = this.state.itemParam;
      itemParam.value = newValue;
      this.setState({
        itemParam: itemParam
      });
    }
  }, {
    key: 'handleTextBlur',
    value: function handleTextBlur(item, newValue) {
      if (newValue !== '' && newValue != '-') {
        var type = item.dataAttr.dataSrc;
        if (type == "1") {
          newValue = parseFloat(newValue) * 100 + "%";
        } else if (type == "2") {
          newValue = this.toThousands(parseFloat(newValue));
        }
      }
      var itemParam = this.state.itemParam;
      itemParam.value = newValue;
      this.setState({
        itemParam: itemParam
      });
    }

    //千分位

  }, {
    key: 'toThousands',
    value: function toThousands(num) {
      var result = '',
          counter = 0;
      num = (num || 0).toString();
      for (var i = num.length - 1; i >= 0; i--) {
        counter++;
        result = num.charAt(i) + result;
        if (!(counter % 3) && i != 0) {
          result = ',' + result;
        }
      }
      return result;
    }

    //校验emoji表情

  }, {
    key: 'checkEmoji',
    value: function checkEmoji(content) {
      var result = false;
      var regStr = /(\ud83c[\udf00-\udfff])|(\ud83d[\udc00-\ude4f\ude80-\udeff])|[\u2600-\u2B55]/g;
      if (regStr.test(content)) {
        result = true;
      }
      return result;
    }

    //多行文本

  }, {
    key: 'handleTextAreaChange',
    value: function handleTextAreaChange(name, newValue) {
      var data = this.props.data;
      data = this.editData(name, newValue, data);
      var itemParam = this.state.itemParam;
      var length = itemParam.maxlength;

      if (this.checkEmoji(newValue)) {
        _Toast2.default.show({
          type: 'error',
          content: "请输入非表情字符"
        });
        return false;
      }
      if (typeof length != "undefined" && length != null && length != "" && itemParam.fieldType == 'char') {
        if (newValue.length > length) {
          _Toast2.default.show({
            type: 'error',
            content: itemParam.title + "超过最大长度" + length
          });
          return false;
        }
      }
      itemParam.value = newValue;
      this.setState({
        itemParam: itemParam
      });

      this.props.onChange(data, this.state.itemParam);
    }

    //多选

  }, {
    key: 'checkboxChange',
    value: function checkboxChange(code, realType, value) {
      var data = this.props.data;
      var valueStr = '';
      var valueArray = [];
      if (realType == "select") {
        for (var i = 0; i < value.length; i++) {
          valueArray.push(value[i].value);
        }
        if (valueArray.length) {
          valueStr = JSON.stringify(valueArray);
        }
      } else {
        for (var i = 0; i < value.length; i++) {
          valueStr += value[i].value + ",";
        }
        if (valueStr != '') {
          valueStr = valueStr.substring(0, valueStr.length - 1);
        }
      }

      data = this.editData(code, valueStr, data);
      // var itemParam = this.state.itemParam;
      // itemParam.selectOptions = radioData;
      // this.setState({
      //   itemParam: itemParam
      // });
      this.props.onChange(data, this.state.itemParam);
      //console.log(value, index, data);
    }

    //单选

  }, {
    key: 'radioChange',
    value: function radioChange(code, value) {
      var data = this.props.data;
      data = this.editData(code, value, data);
      // var itemParam = this.state.itemParam;
      // itemParam.selectOptions = radioData;
      // this.setState({
      //   itemParam: itemParam
      // });
      this.props.onChange(data, this.state.itemParam);
      //console.log(value, index, data);
    }

    //下拉

  }, {
    key: 'selectChange',
    value: function selectChange(code, value) {
      if (value) {
        var data = this.props.data;
        var selectValue = value.value;
        data = this.editData(code, selectValue, data);
        var itemParam = this.state.itemParam;
        itemParam.value = value;
        this.setState({
          itemParam: itemParam
        });
        this.props.onChange(data, itemParam);
      }
    }

    //时间

  }, {
    key: 'handleChangeDate',
    value: function handleChangeDate(code, value) {
      var data = this.props.data;
      var itemParam = this.state.itemParam;
      var dateFormat = itemParam.dateFormat;
      var dateFormatShow = itemParam.dateFormatShow;
      if (dateFormat == "DateInterval") {
        if (value.startDate && value.endDate) {
          var dateStr = this.dateFormat(value, dateFormat, dateFormatShow);
          data = this.editData(code, dateStr, data);
        }
      } else {
        var dateStr = this.dateFormat(value.value, dateFormat);
        if (dateFormat == "YMDT") {
          //年月日，上下午修改数据
          value.value = new Date(dateStr.replace(/-/g, "/")).getTime();
        }
        data = this.editData(code, dateStr, data);
      }

      itemParam.value = value;
      this.setState({
        itemParam: itemParam
      });
      this.props.onChange(data, this.state.itemParam);
    }
  }, {
    key: 'handleCalendarFieldFill',
    value: function handleCalendarFieldFill(key, value) {
      if (value && value.startDate) {
        $("#" + key).find(".t-calendar-field-value:eq(0)").click();
      } else {
        $("#" + key).find(".t-calendar-field-placeholder:eq(0)").click();
      }
    }

    //时间步进

  }, {
    key: 'handleChangeDateStep',
    value: function handleChangeDateStep(code, value) {
      var data = this.props.data;
      var itemParam = this.state.itemParam;
      var dateFormat = itemParam.dateFormat;

      var dateStr = this.dateFormat(value.value, dateFormat);
      data = this.editData(code, dateStr, data);
      itemParam.value = value;
      itemParam.selectValue = dateStr;
      this.setState({
        itemParam: itemParam
      });
      this.props.onChange(data, this.state.itemParam);
    }
  }, {
    key: 'showSlot',
    value: function showSlot(id) {
      this[id].show();
    }

    //时间转换

  }, {
    key: 'dateFormat',
    value: function dateFormat(date, formatStr, dateFormatShow) {
      if (date) {
        if (formatStr == "DateInterval") {
          var startDate = new Date(date.startDate);
          var endDate = new Date(date.endDate);

          var startYear = startDate.getFullYear();
          var startMonth = this.dealwithDate(startDate.getMonth() + 1);
          var startDates = this.dealwithDate(startDate.getDate());

          var endYear = endDate.getFullYear();
          var endMonth = this.dealwithDate(endDate.getMonth() + 1);
          var endDates = this.dealwithDate(endDate.getDate());

          if (dateFormatShow == "dayWithSlot") {
            return startYear + '-' + startMonth + '-' + startDates + ' - ' + endYear + '-' + endMonth + '-' + endDates;
          } else {
            var startHour = this.dealwithDate(startDate.getHours());
            var startMin = this.dealwithDate(startDate.getMinutes());
            var startSecond = this.dealwithDate(startDate.getSeconds());

            var endHour = this.dealwithDate(endDate.getHours());
            var endMin = this.dealwithDate(endDate.getMinutes());
            var endSecond = this.dealwithDate(endDate.getSeconds());

            return startYear + '-' + startMonth + '-' + startDates + " " + startHour + ":" + startMin + ":" + startSecond + ' - ' + endYear + '-' + endMonth + '-' + endDates + " " + endHour + ":" + endMin + ":" + endSecond;
          }
        } else {
          date = new Date(date);
          var year = date.getFullYear();
          var month = this.dealwithDate(date.getMonth() + 1);
          var dates = this.dealwithDate(date.getDate());
          if (dateFormatShow) {
            if (dateFormatShow == "zhDate") {
              return year + '年' + month + '月' + dates + '日';
            } else if (dateFormatShow == "AmPmDate") {
              var hour = this.dealwithDate(date.getHours());
              if (hour == "11") {
                return year + '年' + month + '月' + dates + '日 上午';
              } else {
                return year + '年' + month + '月' + dates + '日 下午';
              }
            }
          }
          if (formatStr == 'YMD') {
            //年月日
            return year + '-' + month + '-' + dates;
          } else if (formatStr == 'YMDHM') {
            //年月日时分
            var hour = this.dealwithDate(date.getHours());
            var min = this.dealwithDate(date.getMinutes());
            return year + '-' + month + '-' + dates + ' ' + hour + ':' + min;
          } else if (formatStr == 'Y') {
            //年
            return year;
          } else if (formatStr == 'YM') {
            //年月
            return year + '-' + month;
          } else if (formatStr == 'YMDT') {
            //年月日，上下午
            var hour = this.dealwithDate(date.getHours());
            var min = this.dealwithDate(date.getMinutes());
            if (hour == "09") {
              return year + '-' + month + '-' + dates + ' 11:59:59';
            } else if (hour == "18") {
              return year + '-' + month + '-' + dates + ' 23:59:59';
            } else {
              return year + '-' + month + '-' + dates + ' ' + hour + ':' + min;
            }
          } else {
            return '';
          }
        }
      } else {
        return null;
      }
    }
  }, {
    key: 'dealwithDate',
    value: function dealwithDate(date) {
      if (date >= 10) {
        return date;
      } else {
        return '0' + date;
      }
    }

    //附件、图片

  }, {
    key: 'handleChangePic',
    value: function handleChangePic(code, data, isInitIds) {
      var itemParam = this.state.itemParam;
      itemParam.value = data;
      itemParam.initIds = "";
      this.setState({
        itemParam: itemParam
      });
      if (isInitIds != '1') {
        //处理上传附件
        var fileids = '';
        data.map(function (item) {
          fileids += item.id + ",";
        });
        if (fileids != '') {
          fileids = fileids.substring(0, fileids.length - 1);
        }
        var data = this.props.data;
        fileids = fileids.replace(/,/g, "|");
        data = this.editData(code, fileids, data);
        this.props.onChange(data, this.state.itemParam);
      }
    }

    //webOffice

  }, {
    key: 'handleChangeOffice',
    value: function handleChangeOffice(code, data, isInitIds) {
      var itemParam = this.state.itemParam;
      itemParam.value = data;
      itemParam.initIds = "";
      this.setState({
        itemParam: itemParam
      });
      if (isInitIds != '1' && typeof isInitIds != 'undefined') {
        var fileids = '';
        data.map(function (item) {
          fileids += item.id + ",";
        });
        if (fileids != '') {
          fileids = fileids.substring(0, fileids.length - 1);
        }
        var data = this.props.data;
        fileids = fileids.replace(/,/g, "|");
        data = this.editData(code, fileids, data);
        this.props.onChange(data, this.state.itemParam);
      }
    }

    //弹出选择

  }, {
    key: 'popageChange',
    value: function popageChange(code, newValue) {
      var data = this.props.data;
      data = this.editData(code, newValue, data);
      var itemParam = this.state.itemParam;
      itemParam.value = newValue;
      this.setState({
        itemParam: itemParam
      });
      this.props.onChange(data, this.state.itemParam);
    }

    //用户选择

  }, {
    key: 'popuserChange',
    value: function popuserChange(code, newValue, oldValue) {
      //alert(JSON.stringify(newValue));
      var data = this.props.data;
      if (newValue) {
        if (newValue.length == 0) {
          newValue = "";
        } else {
          newValue = JSON.stringify(newValue);
        }
      } else {
        newValue = "";
      }
      data = this.editData(code, newValue, data);
      var itemParam = this.state.itemParam;
      itemParam.value = newValue;
      this.setState({
        itemParam: itemParam
      });
      this.props.onChange(data, itemParam);
      // var json = [
      //   {"scopeValue":'113',"scopeType":"user","scopeName":"葛萌"}
      // ];
    }

    //开关切换方法

  }, {
    key: 'handleWitchChange',
    value: function handleWitchChange(code, newValue) {
      var data = this.props.data;
      var itemParam = this.state.itemParam;
      itemParam.value = newValue;

      var realValue = newValue ? '1' : '0';
      data = this.editData(code, realValue, data);

      this.setState({
        itemParam: itemParam
      });
      this.props.onChange(data, itemParam);
    }

    //定位方法

  }, {
    key: 'handlePositionChange',
    value: function handlePositionChange(code, newValue) {
      var data = this.props.data;
      var itemParam = this.state.itemParam;
      itemParam.value = newValue;

      data = this.editData(code, newValue, data);

      this.setState({
        itemParam: itemParam
      });
      this.props.onChange(data, this.state.itemParam);
    }

    //修改审批意见

  }, {
    key: 'changeSpyj3',
    value: function changeSpyj3(newValue) {
      if (this.checkEmoji(newValue)) {
        _Toast2.default.show({
          type: 'error',
          content: "请输入非表情字符"
        });
        return false;
      }
      /*  if(newValue=''){
        Toast.show({
                      type: 'error',
                      content: '意见不能为空！',
                  });
                  return false;
      }*/
      if (newValue.length > 2000) {
        newValue = newValue.substring(0, 2000);
      }
      this.setState({
        spyj: newValue
      });
      this.props.newspyj.content = newValue;
      //alert(this.props.newspyj.content);
      //this.props.onChange(newValue,this.state.itemParam);
    }

    //矩阵评分

  }, {
    key: 'changeScale',
    value: function changeScale(value) {

      var keyNo = this.props.keyNo;
      var list = this.props.data[keyNo].list;
      this.props.data[keyNo].answer = list[value - 1].id;
      this.props.data[keyNo].itemNo = value;
      this.props.data[keyNo].isAnswer = 1;
      this.props.onChange(this.props.data);
    }

    //矩阵变量

  }, {
    key: 'changeMulScale',
    value: function changeMulScale(no, value) {
      var keyNo = this.props.keyNo;
      var list = this.props.data[keyNo].answer[no].list;
      this.props.data[keyNo].answer[no].value = list[value - 1].optionOrder;
      this.props.data[keyNo].answer[no].itemNo = parseInt(list[value - 1].optionOrder) + 1;
      this.props.data[keyNo].answer[no].fraction = list[value - 1].optionScore;
      this.props.data[keyNo].answer[no].isAnswer = 1;
      this.setState({
        data: this.props.data[keyNo]
      });
      this.props.onChange(this.props.data);
    }

    //明细删除

  }, {
    key: 'detailDel',
    value: function detailDel(i) {
      var itemParam = this.state.itemParam;
      var subForm = itemParam.subForm;
      subForm.splice(i, 1);
      itemParam.value.splice(i, 1);
      // itemParam.subForm = subForm;
      var data = this.props.data;
      var subTblList = data.subTbl;
      for (var i = 0; i < subTblList.length; i++) {
        if (subTblList[i].subTblName == itemParam.key) {
          subTblList[i].subTblData.splice(i, 1);
        }
      }
      this.setState({
        itemParam: itemParam
      });
      this.props.onChange(data, this.state.itemParam);
    }

    //添加明细

  }, {
    key: 'detailAdd',
    value: function detailAdd() {
      var form = this.props.form; //表单元素
      var data = this.props.data; //表单数据
      var subTbl = data.subTbl;
      var formItem = form.children;
      //var subForm = {show:true,form:formItem};
      var itemParam = this.state.itemParam;
      //itemParam.subForm.push(subForm);

      this.addSubForm(formItem, itemParam, subTbl);
      data.subTbl = subTbl;
      this.setState({
        itemParam: itemParam
      });
      this.props.onChange(data, this.state.itemParam);
    }

    //新增明细处理数据

  }, {
    key: 'addSubForm',
    value: function addSubForm(subForm, itemParam, subTbl) {
      var subFormList = itemParam.subForm;
      subForm = { show: true, form: subForm };
      var itemCode = itemParam.key;
      var value = itemParam.value;
      subFormList.push(subForm);
      itemParam.subForm = subFormList;
      value.push({ mainTblData: [], mainTblName: itemCode });
      return value;
    }
  }, {
    key: 'getDetai',
    value: function getDetai() {
      var _this2 = this;

      var t = this;
      var subForm = this.state.itemParam.subForm;
      return subForm.map(function (item, i) {
        return _react2.default.createElement(
          'div',
          { className: 'dd-drug-list' },
          _react2.default.createElement(
            HBox,
            { className: 't-BCf dd-bottom-border' },
            _react2.default.createElement(
              Box,
              { className: 't-LH44 t-PL16 t-PR2' },
              _react2.default.createElement('i', { className: item.show ? "iconfont icon-arrow-down t-FS18 t-FCc" : "iconfont icon-arrow-up t-rotate-90 t-FS18 t-FCc" })
            ),
            _react2.default.createElement(
              Box,
              { flex: 1, className: 't-LH46 t-FC9', onClick: _this2.detailShow.bind(_this2, i, item.show) },
              i + 1
            ),
            _react2.default.createElement(
              Box,
              { 'data-key': i, onClick: _this2.detailDel.bind(_this2, i), className: 't-P16 theme-color' },
              '\u5220\u9664'
            )
          ),
          _react2.default.createElement(
            'div',
            { className: item.show ? "" : "t-DN" },
            item.form.map(function (item2, j) {
              return _react2.default.createElement(Form, { keyNo: j, dataType: 'sub', module: t.state.module, status: t.state.status, form: item2, data: t.state.itemParam.value[i], fieldControll: t.state.fieldControll, onChange: _this2.changeSub.bind(_this2, _this2.state.itemParam, i) });
            })
          )
        );
      });
    }

    //预览附件

  }, {
    key: 'viewFile',
    value: function viewFile(file) {
      var id = file.id;
      var fileExt = file.fileExt;
      downloadFile(id, 'android', fileExt);
    }
  }, {
    key: 'clickPop',
    value: function clickPop() {
      if (!this.state.itemParam.readOnly) {
        _Toast2.default.show({
          content: "移动端暂不支持该类型编辑"
        });
        return false;
      }
    }

    //说明点击

  }, {
    key: 'noticeClick',
    value: function noticeClick(url) {
      if (url != '') {
        pageSkipDirectly(url);
      }
    }

    //检查是否有html标签

  }, {
    key: 'checkHtml',
    value: function checkHtml(htmlStr) {
      var reg = /<[^>]+>/g;
      return reg.test(htmlStr);
    }

    //选择是否保存常用语

  }, {
    key: 'selectSavePhrase',
    value: function selectSavePhrase(data) {
      this.setState({
        savePhrase: data
      });
    }

    //选择常用语

  }, {
    key: 'selectCommonwords',
    value: function selectCommonwords() {
      var t = this;
      t.setState({ fold: !this.state.fold });
      // let phraseListNow = t.state.phraseList;
      // if (phraseListNow.length > 0) {
      // t.refs.slotCommonwords.show();
      // } else {
      if (this.state.fold) {
        //获取常用语列表
        _db2.default.FlowModuleAPI.getPersonalPhrase({}).then(function (content) {
          if (content.length > 0) {
            var phraseList1 = [];
            content.map(function (item) {
              phraseList1.push({ text: item.content, value: item.content });
            });
            // var phraseList2 = [];
            // phraseList2.push(phraseList1);
            t.setState({
              // phraseList: phraseList2,
              phraseListNew: phraseList1
            }, function () {
              //  t.refs.slotCommonwords.show();
            });
          } else {
            _Toast2.default.show({
              content: '暂无常用语'
            });
          }
        }).catch(function (error) {
          _Toast2.default.show({
            type: 'error',
            content: error.errorMsg
          });
        });
      }
      // }

    }

    //常用语设置跳转

  }, {
    key: 'skipToCommonwordsSet',
    value: function skipToCommonwordsSet() {
      this.setState({ fold: true });
      pageSkip('mobile/modules/mobileoffice/dist/index.html', '#/hospitalmanage/personal/setting/listPhrase');
    }
  }, {
    key: 'phraseItemClick',
    value: function phraseItemClick(commonwords) {
      var spyj = this.state.spyj;
      this.setState({
        spyj: spyj + commonwords
      });
      this.props.newspyj.content = spyj + commonwords;
    }
    //切换修改常用语

  }, {
    key: 'handleChangeCommonwords',
    value: function handleChangeCommonwords(value) {
      // 改变了选中项
      this.setState({
        choosePhrase: value
      });
    }

    //确认选择语

  }, {
    key: 'handleConfirmCommonwords',
    value: function handleConfirmCommonwords(commonwords) {
      var spyj = this.state.spyj;
      this.setState({
        spyj: spyj + commonwords[0].text
      });
      this.props.newspyj.content = spyj + commonwords[0].text;
    }
  }, {
    key: 'render',
    value: function render() {
      var t = this;
      var radioFieldProps = {
        groupListArgument: {
          lineIndent: 15,
          itemIndent: 15
        },
        groupListFlag: true,
        className: "dd-ques-title",
        iconPosition: 'left'
      };
      var CheckboxFieldProps = {
        // onChange(value) {
        //   var keyNo = t.props.keyNo;
        //   var answer = '';
        //   var fraction = '';
        //   for (var i = 0; i < value.length; i++) {
        //     answer += value[i].value + ",";
        //     fraction += value[i].fraction + ",";
        //   }
        //   if (answer != '') {
        //     answer = answer.substring(0, answer.length - 1);
        //   }
        //   if (fraction != '') {
        //     fraction = fraction.substring(0, fraction.length - 1);
        //   }
        //   t.props.data[keyNo].answer = answer;
        //   t.props.data[keyNo].fraction = fraction;
        //   t.props.data[keyNo].isAnswer = 1;
        //   t.props.onChange(t.props.data);
        //   //console.log(value, index, data);
        // },
        groupListArgument: {
          lineIndent: 15,
          itemIndent: 15
        },
        groupListFlag: true,
        className: "dd-ques-title",
        mode: "slot"
      };
      if (this.props.dataType == "sub" && this.state.loaded == true) {
        // if(this.props.data.subFormRefresh == true && this.state.loaded==true ){

        // }
        // var itemParam = this.state.itemParam;
        // var data = this.props.data;
        // var mainTblData = data.mainTblData;//主表数据
        // var value = this.dealwithData(itemParam,mainTblData);
        // itemParam.value = value;
        // this.setState({
        //   itemParam:itemParam
        // })
      }
      return _react2.default.createElement(
        'div',
        { className: this.state.itemParam.isHidden ? "t-DN" : "" },
        this.state.itemParam.itemType == 'text' ? _react2.default.createElement(
          _Group2.default.List,
          { borderTopNone: true },
          this.state.itemParam.dataAttr && this.state.itemParam.dataAttr.dataSrc == '2' && this.state.itemParam.dataAttr.fromMacro.value == 'currentUserSignPic' ? _react2.default.createElement(
            'div',
            { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
            _react2.default.createElement(
              _Group2.default.List,
              { borderTopNone: true },
              _react2.default.createElement(
                'div',
                { className: 't-W100', id: t.state.prefixName + "_" + t.state.itemParam.key },
                _react2.default.createElement(
                  _Field2.default,
                  { label: t.state.itemParam.title, required: t.state.itemParam.required, layout: 'h', multiLine: true },
                  _react2.default.createElement('img', { className: 't-H64 t-W64 t-PR5', src: t.state.itemParam.value })
                )
              )
            )
          ) : this.state.itemParam.dataAttr && this.state.itemParam.dataAttr.textLineFeed == 'yes' ? _react2.default.createElement(
            'div',
            { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle == null ? {} : t.state.itemParam.formStyleObj.contentStyle },
            _react2.default.createElement(
              'div',
              { className: 't-FBH', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(_TextareaField2.default, {
                className: 't-W100',
                required: t.state.itemParam.required,
                label: t.state.itemParam.title,
                readOnly: t.state.itemParam.readOnly,
                minRows: 1,
                placeholder: t.state.itemParam.readOnly ? '' : t.state.itemParam.placeholder,
                value: t.state.itemParam.value,
                onChange: function onChange(value) {
                  t.handleTextAreaChange(t.state.itemParam.key, value);
                }
              }),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          ) : _react2.default.createElement(
            'div',
            { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle == null ? {} : t.state.itemParam.formStyleObj.contentStyle },
            _react2.default.createElement(
              'div',
              { className: 't-FBH', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(_TextField2.default, {
                className: 't-W100',
                required: t.state.itemParam.required,
                readOnly: t.state.itemParam.readOnly,
                label: t.state.itemParam.title,
                placeholder: t.state.itemParam.readOnly ? '' : t.state.itemParam.placeholder,
                value: t.state.itemParam.value,
                onChange: function onChange(value) {
                  t.handleTextChange(t.state.itemParam, value);
                }
                // onFocus={(value) => { t.handleTextFocus(t.state.itemParam, value); }}
                // onBlur={(value) => { t.handleTextBlur(t.state.itemParam, value); }}
              }),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'html' ? _react2.default.createElement(
          _Group2.default.List,
          { borderTopNone: true },
          t.checkHtml(t.state.itemParam.value) ? _react2.default.createElement(
            'div',
            { className: '', onClick: this.clickPop.bind(this) },
            _react2.default.createElement(
              'div',
              { className: this.state.label == '' ? 't-DN' : 't-field-box t-FBH t-FBAC t-FBJ' },
              _react2.default.createElement(
                'div',
                { className: this.state.required ? 't-field-layout-h-label t-FS16 required' : 't-field-layout-h-label t-FS16' },
                _react2.default.createElement(
                  'span',
                  { style: t.state.itemParam.formStyleObj.titleStyle == null ? {} : t.state.itemParam.formStyleObj.titleStyle },
                  t.state.itemParam.title
                )
              )
            ),
            _react2.default.createElement('div', { className: 't-FBH t-PL16 t-fw', dangerouslySetInnerHTML: { __html: t.state.itemParam.value } }),
            t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
          ) : _react2.default.createElement(
            'div',
            { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
            _react2.default.createElement(
              'div',
              { className: 't-FBH', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(_TextareaField2.default, {
                className: 't-W100',
                required: t.state.itemParam.required,
                label: t.state.itemParam.title,
                readOnly: t.state.itemParam.readOnly,
                minRows: 1,
                placeholder: t.state.itemParam.readOnly ? '' : t.state.itemParam.placeholder,
                value: t.state.itemParam.value,
                onChange: function onChange(value) {
                  t.handleTextAreaChange(t.state.itemParam.key, value);
                }
              }),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'textarea' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              'div',
              { className: 't-FBH', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(_TextareaField2.default, {
                className: 't-W100',
                required: t.state.itemParam.required,
                label: t.state.itemParam.title,
                readOnly: t.state.itemParam.readOnly,
                minRows: 1,
                placeholder: t.state.itemParam.readOnly ? '' : t.state.itemParam.placeholder,
                value: t.state.itemParam.value,
                onChange: function onChange(value) {
                  t.handleTextAreaChange(t.state.itemParam.key, value);
                }
              }),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'radio' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              'div',
              { className: 't-FBH', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(
                'div',
                { className: 't-W100' },
                _react2.default.createElement(_SelectField2.default, {
                  required: t.state.itemParam.required,
                  label: t.state.itemParam.title,
                  readOnly: t.state.itemParam.readOnly,
                  options: t.state.itemParam.selectOptions,
                  placeholder: t.state.itemParam.readOnly ? '' : t.state.itemParam.placeholder,
                  onSelect: t.selectChange.bind(t, t.state.itemParam.key),
                  value: t.state.itemParam.value
                })
              ),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'checkbox' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              'div',
              { className: 't-FBH', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(
                'div',
                { className: 't-W100' },
                _react2.default.createElement(_CheckboxField2.default, _extends({
                  required: t.state.itemParam.required,
                  readOnly: t.state.itemParam.readOnly
                  //  required={t.state.itemParam.required} 
                  , placeholder: t.state.itemParam.readOnly ? '' : t.state.itemParam.placeholder,
                  data: t.state.itemParam.selectOptions }, CheckboxFieldProps, {
                  iconPosition: 'right',
                  label: t.state.itemParam.title,
                  ref: "checkbox_" + t.state.itemParam.tableName + "_" + t.state.itemParam.key,
                  onChange: t.checkboxChange.bind(t, t.state.itemParam.key, t.state.itemParam.realType) }))
              ),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'select' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              'div',
              { className: 't-FBH', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(_SelectField2.default, {
                className: 't-W100',
                required: t.state.itemParam.required,
                label: t.state.itemParam.title,
                readOnly: t.state.itemParam.readOnly,
                options: t.state.itemParam.selectOptions,
                placeholder: t.state.itemParam.readOnly ? '' : t.state.itemParam.placeholder,
                onSelect: t.selectChange.bind(t, t.state.itemParam.key),
                value: t.state.itemParam.value
              }),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'datetime' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              'div',
              { id: t.state.prefixName + "_" + t.state.itemParam.key, className: t.state.itemParam.dateFormat == "DateInterval" ? "" : "t-FBH" },
              t.state.itemParam.readOnly ? _react2.default.createElement(_TextareaField2.default, {
                className: 't-W100',
                required: t.state.itemParam.required,
                label: t.state.itemParam.title,
                readOnly: t.state.itemParam.readOnly,
                minRows: 1,
                placeholder: t.state.itemParam.readOnly ? '' : t.state.itemParam.placeholder,
                value: t.state.itemParam.value
              }) : t.state.itemParam.dateFormat == "DateInterval" ? _react2.default.createElement(_CalendarField2.default, {
                className: 't-W100',
                label: t.state.itemParam.title,
                placeholder: t.state.itemParam.dateFormatShow == "dayWithSlot" ? ['开始日期', '结束日期'] : ['开始时间', '结束时间'],
                required: t.state.itemParam.required,
                multiLine: true,
                layout: 'h',
                type: t.state.itemParam.dateFormatShow,
                singleMode: false,
                showHalfDay: false,
                showTopPanel: true,
                topPanelTitle: 'title',
                showWeek: false,
                showDateType: false,
                value: t.state.itemParam.value,
                readOnly: t.state.itemParam.readOnly,
                icon: _react2.default.createElement(_AngleRight2.default, { width: 26, fill: '#BCBCBC', onClick: t.handleCalendarFieldFill.bind(t, t.state.prefixName + "_" + t.state.itemParam.key, t.state.itemParam.value) })
                // formatter: 'yyyy.MM.dd',
                , onOk: t.handleChangeDate.bind(t, t.state.itemParam.key)
              }) : _react2.default.createElement(_DatetimeField2.default, {
                className: 't-W100',
                label: t.state.itemParam.title,
                required: t.state.itemParam.required,
                readOnly: t.state.itemParam.readOnly,
                onSelect: t.handleChangeDate.bind(t, t.state.itemParam.key),
                value: t.state.itemParam.value,
                columns: _DatetimeField2.default[t.state.itemParam.dateFormat],
                minDate: t.state.itemParam.minDate ? t.state.itemParam.minDate : new Date(1900, 0, 1).getTime(),
                maxDate: t.state.itemParam.maxDate ? t.state.itemParam.maxDate : new Date(2051, 0, 1).getTime() - 1,
                placeholder: t.state.itemParam.readOnly ? '' : t.state.itemParam.placeholder }),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'datetimeStep' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              'div',
              { className: 't-FBH', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(
                HBox,
                { className: 't-field-box t-FBAC t-W100' },
                _react2.default.createElement(
                  'div',
                  { className: t.state.itemParam.required ? "t-field-layout-h-label t-FS16 required" : "t-field-layout-h-label t-FS16" },
                  t.state.itemParam.title
                ),
                _react2.default.createElement(
                  HBox,
                  { flex: '1', onClick: function onClick() {
                      t.showSlot(t.state.itemParam.key);
                    }, className: 't-FBAC' },
                  _react2.default.createElement(
                    Box,
                    { flex: '1' },
                    _react2.default.createElement(
                      'span',
                      { className: 't-FL t-FS16' },
                      t.state.itemParam.selectValue
                    )
                  ),
                  t.state.itemParam.readOnly ? "" : _react2.default.createElement(
                    Box,
                    { className: 't-FBAC t-field-icon' },
                    _react2.default.createElement(_AngleRight2.default, { width: 26, fill: '#BCBCBC' }),
                    _react2.default.createElement(_Datetime2.default, {
                      locale: 'zh-cn',
                      minuteStep: 15,
                      slotRef: function slotRef(s) {
                        return t[t.state.itemParam.key] = s;
                      },
                      title: '\u65E5\u671F\u9009\u62E9',
                      value: t.state.itemParam.value,
                      columns: _Datetime2.default.YMDHM,
                      onConfirm: t.handleChangeDateStep.bind(t, t.state.itemParam.key)
                    })
                  )
                )
              ),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'poppage' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              'div',
              { className: 't-FBH', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(
                'div',
                { className: 't-W100' },
                _react2.default.createElement(_check2.default, {
                  required: t.state.itemParam.required,
                  label: t.state.itemParam.title,
                  readOnly: t.state.itemParam.readOnly,
                  placeholder: t.state.itemParam.readOnly ? '' : t.state.itemParam.placeholder,
                  popCode: t.state.itemParam.popCode,
                  checked: t.state.itemParam.chooseWay,
                  onChange: this.popageChange.bind(this, t.state.itemParam.key),
                  value: this.state.itemParam.value
                })
              ),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'popuser' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              'div',
              { className: 't-FBH', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(
                'div',
                { className: 't-W100' },
                _react2.default.createElement(_select2.default, {
                  required: t.state.itemParam.required,
                  readOnly: t.state.itemParam.readOnly,
                  label: t.state.itemParam.title,
                  placeholder: t.state.itemParam.placeholder ? t.state.itemParam.placeholder : '请选择',
                  code: t.state.itemParam.code,
                  chooseObj: t.state.itemParam.chooseObj,
                  checkType: t.state.itemParam.checkType,
                  fieldDataValue: t.state.itemParam.value,
                  scopeTable: t.state.itemParam.scopeTable,
                  fieldTable: t.state.itemParam.fieldTable,
                  fieldData: t.state.itemParam.fieldData,
                  defaultValue: t.state.itemParam.defaultValue,
                  queryLimit: t.state.itemParam.queryLimit,
                  limitData: t.state.itemParam.limitData,
                  ref: "selectMember_" + t.state.itemParam.fieldData,
                  isDelete: !t.state.itemParam.readOnly,
                  showType: 'list',
                  onChange: this.popuserChange.bind(this, t.state.itemParam.key)
                })
              ),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'upload' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              'div',
              { className: 't-W100', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(
                _Field2.default,
                { label: t.state.itemParam.title, required: t.state.itemParam.required, layout: 'h', multiLine: true },
                _react2.default.createElement(_upload2.default, {
                  ref: "upload_" + t.state.itemParam.tableName + "_" + t.state.itemParam.key,
                  canAdd: t.state.itemParam.readOnly == true ? false : true,
                  canDel: t.state.itemParam.readOnly == true ? false : true,
                  canDownload: this.state.itemParam.canDownload == "1" ? true : false,
                  initList: t.state.itemParam.value,
                  initIds: t.state.itemParam.initIds,
                  dir: t.state.module,
                  limitNo: t.state.itemParam.uploadFileNumLimit,
                  extensions: t.state.itemParam.uploadFileLimit,
                  fileSizeLimit: 0,
                  onChange: function onChange(value, isInit) {
                    t.handleChangePic(t.state.itemParam.key, value, isInit);
                  },
                  onDel: function onDel(value) {
                    t.handleChangePic(t.state.itemParam.key, value);
                  } })
              ),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'image' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              'div',
              { className: 't-W100', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(
                _Field2.default,
                { label: t.state.itemParam.title, required: t.state.itemParam.required, layout: 'h', multiLine: true },
                _react2.default.createElement(_upload2.default, {
                  ref: "upload_" + t.state.itemParam.tableName + "_" + t.state.itemParam.key,
                  canAdd: t.state.itemParam.readOnly == true ? false : true,
                  canDel: t.state.itemParam.readOnly == true ? false : true,
                  initList: t.state.itemParam.value,
                  initIds: t.state.itemParam.initIds,
                  dir: t.state.module,
                  uploadType: 'image',
                  limitNo: t.state.itemParam.uploadFileNumLimit,
                  extensions: t.state.itemParam.uploadFileLimit,
                  fileSizeLimit: 0,
                  onChange: function onChange(value, isInit) {
                    t.handleChangePic(t.state.itemParam.key, value, isInit);
                  },
                  onDel: function onDel(value) {
                    t.handleChangePic(t.state.itemParam.key, value);
                  } })
              ),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'comment' && (this.state.itemParam.show || this.state.isRemoveCommentFormHtml != '1') ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              HBox,
              { className: 'flex-comment t-field-box' },
              _react2.default.createElement(
                'div',
                { className: 't-field-layout-h-label t-FS16 t-FBJ' },
                _react2.default.createElement(
                  'span',
                  null,
                  t.state.itemParam.title
                )
              ),
              _react2.default.createElement(
                'div',
                { className: 't-PT10 t-FB1' },
                _react2.default.createElement(_List2.default, { list: t.state.itemParam.value }),
                _react2.default.createElement(
                  'div',
                  { className: t.state.commentField == this.state.itemParam.uniqueName ? 't-PL10 t-PR10' : 't-DN' },
                  _react2.default.createElement(
                    'div',
                    { className: t.state.commentField == this.state.itemParam.uniqueName ? 'theme-color t-P6 t-FS16 commonwords' : 't-DN' },
                    _react2.default.createElement(
                      'div',
                      { onClick: this.selectCommonwords.bind(this) },
                      '\u5E38\u7528\u8BED'
                    ),
                    _react2.default.createElement(
                      'div',
                      { onClick: this.skipToCommonwordsSet.bind(this) },
                      '\u7F16\u8F91'
                    )
                  ),
                  _react2.default.createElement(
                    'div',
                    { id: t.state.prefixName + "_" + t.state.itemParam.key },
                    _react2.default.createElement(_TextareaField2.default, {
                      readOnly: false,
                      minRows: 1, maxRows: 5,
                      placeholder: '请输入批示意见',
                      value: t.state.spyj,
                      onChange: this.changeSpyj3.bind(this) })
                  )
                ),
                _react2.default.createElement(
                  _FoldablePane2.default,
                  { foldHeight: 0, isFold: this.state.fold },
                  _react2.default.createElement(
                    'div',
                    { className: 'phrase-list' },
                    this.state.phraseListNew.length > 0 ? this.state.phraseListNew.map(function (item, i) {
                      return _react2.default.createElement(
                        'div',
                        { className: 'phrase-item', onClick: this.phraseItemClick.bind(this, item.value) },
                        item.value
                      );
                    }.bind(this)) : ''
                  )
                )
              )
            )
          )
        ) : this.state.itemParam.itemType == 'note' && (this.props.status != "0" && this.state.itemParam.explainShow == false || this.props.status == "0") ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              VBox,
              { vAlign: 'center', className: 't-LH40  theme-color t-BCf dd-bottom-border t-PL16 t-PR16' },
              _react2.default.createElement(
                Box,
                { flex: 1, className: 't-PR' },
                _react2.default.createElement(
                  'span',
                  { className: "t-ML16", style: { color: t.state.itemParam.formStyleObj.contentStyle.color }, onClick: this.noticeClick.bind(this, t.state.itemParam.explainUrl) },
                  t.state.itemParam.explain
                )
              ),
              _react2.default.createElement(
                Box,
                { className: t.state.itemParam.noteFileIds == "" ? "t-DN" : "" },
                _react2.default.createElement(_upload2.default, {
                  required: false,
                  canAdd: false,
                  canDel: false,
                  initIds: t.state.itemParam.noteFileIds,
                  limitNo: '5',
                  fileSizeLimit: '10',
                  ref: "note_file_" + t.state.itemParam.fieldId
                })
              ),
              _react2.default.createElement(
                Box,
                { className: t.state.itemParam.noteImageIds == "" ? "t-DN" : "" },
                _react2.default.createElement(_upload2.default, {
                  uploadType: 'image',
                  required: false,
                  canAdd: false,
                  canDel: false,
                  initIds: t.state.itemParam.noteImageIds,
                  limitNo: '5',
                  fileSizeLimit: '10',
                  ref: "note_image_" + t.state.itemParam.fieldId
                })
              )
            )
          )
        ) : this.state.itemParam.itemType == 'switch' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              'div',
              { className: 't-FBH', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(_SwitchField2.default, {
                className: 't-W100',
                required: t.state.itemParam.required,
                readOnly: t.state.itemParam.readOnly,
                label: t.state.itemParam.title,
                on: this.state.itemParam.value,
                onChange: this.handleWitchChange.bind(t, t.state.itemParam.key)
              }),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'positioning' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              'div',
              { className: 't-FBH', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(
                'div',
                { className: 't-W100' },
                _react2.default.createElement(_positioning2.default, {
                  required: t.state.itemParam.required,
                  readOnly: t.state.itemParam.readOnly,
                  label: t.state.itemParam.title,
                  canShowLocate: t.state.itemParam.canShowLocate == null ? '' : t.state.itemParam.canShowLocate,
                  placeholder: t.state.itemParam.placeholder ? '' : t.state.itemParam.placeholder,
                  value: t.state.itemParam.value,
                  onChange: this.handlePositionChange.bind(t, t.state.itemParam.key)
                }),
                t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
              )
            )
          )
        ) : this.state.itemParam.itemType == 'weboffice' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId, style: t.state.itemParam.formStyleObj.contentStyle },
          _react2.default.createElement(
            _Group2.default.List,
            { borderTopNone: true },
            _react2.default.createElement(
              'div',
              { className: 't-FBH', id: t.state.prefixName + "_" + t.state.itemParam.key },
              _react2.default.createElement(
                'div',
                { className: 't-W100' },
                _react2.default.createElement(_upload2.default, {
                  ref: "upload_" + t.state.itemParam.tableName + "_" + t.state.itemParam.key,
                  canAdd: false,
                  canDel: false,
                  canDownload: this.state.itemParam.webofficeDownload,
                  label: t.state.itemParam.title,
                  initList: t.state.itemParam.value,
                  initIds: t.state.itemParam.initIds,
                  dir: t.state.module,
                  fileSizeLimit: 0,
                  onChange: function onChange(value, isInit) {
                    t.handleChangeOffice(t.state.itemParam.key, value, isInit);
                  }
                })
              ),
              t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
            )
          )
        ) : this.state.itemParam.itemType == 'title' ? _react2.default.createElement(
          'div',
          { className: t.state.itemParam.fieldId },
          _react2.default.createElement(
            'div',
            { className: 't-FBH' },
            _react2.default.createElement(
              'div',
              { className: 't-group-list t-group-list-item t-W100' },
              _react2.default.createElement('div', { style: { height: '10px' } }),
              _react2.default.createElement(
                'h4',
                { style: { textAlign: 'center', fontSize: t.state.itemParam.fontSize } },
                _react2.default.createElement(
                  'b',
                  { style: t.state.itemParam.formStyleObj.titleStyle },
                  t.state.itemParam.value
                )
              ),
              _react2.default.createElement('div', { style: { height: '10px' } })
            ),
            t.state.itemParam.isVerifySing == "1" ? _react2.default.createElement('i', { className: 'iconfont icon-checked t-PT10', style: { color: 'green' } }) : t.state.itemParam.isVerifySing == "2" ? _react2.default.createElement('i', { className: 'iconfont icon-close t-PT10', style: { color: 'red' } }) : ""
          )
        ) : _react2.default.createElement('div', null)
      );
    }
  }]);

  return PageHome;
}(_react2.default.Component);

exports.default = PageHome;