'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Tab = require('saltui/lib/Tab');

var _Tab2 = _interopRequireDefault(_Tab);

var _SearchBar = require('saltui/lib/SearchBar');

var _SearchBar2 = _interopRequireDefault(_SearchBar);

var _ScrollList = require('saltui/lib/ScrollList');

var _ScrollList2 = _interopRequireDefault(_ScrollList);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _Toast = require('saltui/lib/Toast');

var _Toast2 = _interopRequireDefault(_Toast);

var _Button = require('saltui/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

var _Popup = require('saltui/lib/Popup');

var _Popup2 = _interopRequireDefault(_Popup);

var _AngleRight = require('salt-icon/lib/AngleRight');

var _AngleRight2 = _interopRequireDefault(_AngleRight);

var _variables = require('../db/variables');

var _variables2 = _interopRequireDefault(_variables);

var _db = require('../db/db');

var _db2 = _interopRequireDefault(_db);

require('./processList.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var HBox = _Boxs2.default.HBox,
    Box = _Boxs2.default.Box;

var searchVal = '';

var ListItem = function (_React$Component) {
  _inherits(ListItem, _React$Component);

  function ListItem(props) {
    _classCallCheck(this, ListItem);

    var _this = _possibleConstructorReturn(this, (ListItem.__proto__ || Object.getPrototypeOf(ListItem)).call(this, props));

    setPageTitle('办理');
    return _this;
  }

  _createClass(ListItem, [{
    key: 'clickDetail',
    value: function clickDetail(event) {
      if (this.props.isBatch) {
        //批量状态
        var checkDiv = $(event.currentTarget).find(".t-checkbox-field-icon-list");
        if (checkDiv.hasClass("un-checked")) {
          //判断是否未选中
          checkDiv.removeClass("un-checked");
          checkDiv.addClass("checked");
        } else {
          checkDiv.removeClass("checked");
          checkDiv.addClass("un-checked");
        }
      } else {
        if (this.props.ableClick) {
          var itemInfo = this.props.data;
          console.log(itemInfo);
          var param_processKey = itemInfo.processKey; // 流程类型code
          var param_formKey = itemInfo.formKey; // 表单id
          var param_businessKey = itemInfo.businessKey; // 表单数据id;
          var param_startUserId = itemInfo.startUserId; // 流程发起人id
          var param_list_type = this.props.type; // 列表类型 待办-0,待阅-1,
          var processName = itemInfo.processName; // 流程名称
          var module = itemInfo.module; // 流程名称
          var type = this.props.fromType; //self：本应用，all:全模块
          var projectPath = this.props.projectPath; //项目路径

          var taskId = '';
          var processInstanceId = itemInfo.processInstanceId;
          if (param_list_type == '2') {
            taskId = itemInfo.taskId;
          } else {
            taskId = itemInfo.id;
          }
          var loginUserId = getLoginUserInfo().userId;
          // location.hash = 'approval/approval-details/detail-servlet/' + param_list_type + '/1/' + param_processKey + '/' + param_formKey + '/' +param_businessKey +
          //                     '/' + param_startUserId;
          // alert(searchVal);
          if (type == "self") {
            var url = "process/processDetails/" + taskId + "/" + param_formKey + "/" + param_businessKey + "/" + param_list_type + "/0/" + processInstanceId + "/" + module + "/" + loginUserId;
            if (searchVal != '') {
              url += "/" + searchVal;
            }
            decodeURI(url);
            location.hash = url;
          } else {
            var fullUrl = window.location.href;
            var mobilePath = module;
            if (module.indexOf("_") > 0) {
              var category = module.split("_")[0];
              mobilePath = module.substring(module.indexOf("_") + 1);
              fullUrl = fullUrl.replace("/" + projectPath + "/", "/" + category + "/" + mobilePath + "/").split('?_')[0].split('/approval/all')[0];
            } else {
              fullUrl = fullUrl.replace("/" + projectPath + "/", "/modules/" + mobilePath + "/").split('?_')[0].split('/approval/all')[0];
            }
            //alert(fullUrl);
            var _url = "process/processDetails/" + taskId + "/" + param_formKey + "/" + param_businessKey + "/" + param_list_type + "/0/" + processInstanceId + "/" + module + "/" + loginUserId;
            _url = fullUrl + '/' + _url;
            decodeURI(_url);
            location.href = _url;
          }

          // window.salt.router.push({
          //     id: 'detailPage',
          //     url: url,
          //     anim: 1,
          //     needPost: true,
          //     param: {
          //         title: processName,
          //     }
          // }).then().catch((e) => {
          //     // alert(e);
          // });
        } else {
          this.props.updateAbleClick(true);
        }
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var data = this.props;
      var checkIsNotComplete = true;
      if (data.type == 0) {
        //待办
        checkIsNotComplete = true;
      } else if (data.type == 1) {
        //待阅
        if (data.status == 2) {
          checkIsNotComplete = false;
        } else {
          checkIsNotComplete = true;
        }
      } else if (data.type == 2) {
        //已办
        if (data.status == 2) {
          checkIsNotComplete = false;
        } else {
          checkIsNotComplete = true;
        }
      } else if (data.type == 3) {
        //已阅
        if (data.status == 2) {
          checkIsNotComplete = false;
        } else {
          checkIsNotComplete = true;
        }
      } else {
        //我的
        if (typeof data.finishedTime == 'undefined' || data.finishedTime == null) {
          checkIsNotComplete = true;
        } else {
          checkIsNotComplete = false;
        }
      }
      var comleteName = data.name;
      if (data.type == 0) {//待办
        // comleteName=   data.curStepName;
      } else if (data.type == 1) {
        //待阅
        comleteName = data.nodeName;
      } else if (data.type == 2) {
        //已办
        if (data.status == '2') {
          comleteName = "结束";
          checkIsNotComplete = false;
        } else if (data.status == '3') {
          comleteName = "作废";
          checkIsNotComplete = false;
        } else if (data.status == '4') {
          comleteName = "取消";
          checkIsNotComplete = false;
        } else {
          comleteName = data.nodeName;
        }
      } else if (data.type == 3) {
        //已阅
        comleteName = data.nodeName;
      } else {
        //我的
        if (data.status == '2') {
          comleteName = "结束";
          checkIsNotComplete = false;
        } else if (data.status == '3') {
          comleteName = "作废";
          checkIsNotComplete = false;
        } else if (data.status == '4') {
          comleteName = "取消";
          checkIsNotComplete = false;
        } else {
          comleteName = data.nodeName;
        }
      }
      if (typeof comleteName == 'undefined' || comleteName == null) {
        checkIsNotComplete = false;
      }

      var assigneeName = '申请人：' + data.startUserName;

      if (data.type == 0) {
        //待办
        assigneeName = '申请人：' + data.startUserName;
      } else if (data.type == 1) {
        //待阅
        assigneeName = '申请人：' + data.startUserName;
      } else if (data.type == 2) {
        //已办
        if (data.curUserName) {
          assigneeName = '办理人：' + data.curUserName;
        }
      } else if (data.type == 3) {
        //已阅
        if (data.startUserName) {
          assigneeName = '申请人：' + data.startUserName;
        }
      } else if (data.type == 4) {
        //我的
        if (data.curUserName) {
          assigneeName = '办理人：' + data.curUserName;
        }
      }
      if (typeof assigneeName == 'undefined' || assigneeName == null) {
        checkIsNotComplete = false;
      }
      var formatTime = data.createTime;

      if (data.type == 0) {
        //待办
        formatTime = data.createTime;
      } else if (data.type == 1) {
        //待阅
        formatTime = data.createTime;
      } else if (data.type == 2) {
        //已办
        formatTime = data.dealTime;
      } else if (data.type == 3) {
        //已阅
        formatTime = data.endTime;
      } else {
        //我的
        formatTime = data.createTime;
      }

      var now = new Date();
      var year = now.getFullYear(); //年
      var month = now.getMonth() + 1; //月
      var day = now.getDate(); //日
      var hh = now.getHours(); //时
      var mm = now.getMinutes(); //分
      var ss = now.getSeconds(); //秒
      var clock = year + "-";
      if (month < 10) clock += "0";
      clock += month + "-";
      if (day < 10) clock += "0";
      clock += day + " ";

      if (hh < 10) clock += "0";

      clock += hh + ":";
      if (mm < 10) clock += '0';
      clock += mm + ":";

      if (ss < 10) clock += '0';
      clock += ss;
      return (

        //   <HBox className='approve-item'>
        //   <Box className="approve-check">
        //     <Box className={'t-checkbox-field-icon-list un-checked t-MR10'} >
        //       <i className="iconfont icon-checked t-FCf t-FS14"></i>
        //     </Box>
        //   </Box>
        //   <Box className="approve-right-text">
        //     <HBox className='approveItem-title'>
        //       <Box className="label label-danger">加急</Box>
        //       <Box className="label label-info">暂不办理</Box>
        //       <Box className="label label-warn">超时</Box>
        //       <Box className="label label-primary">正常</Box>
        //       <Box className="title">五月行政总值班值班表</Box>
        //     </HBox>
        //     <HBox className='approveItem-tag'>
        //       <span className='label label-primary'>审核意见审核意见</span>
        //       <i className='iconfont icon-right-arrow'></i>
        //     </HBox>
        //     <HBox className="bottom-text">
        //       <Box className="text-item">申请人:王小红</Box>
        //       <Box className="text-item">2022-08-28 10:58:58</Box>
        //     </HBox>
        //   </Box>
        // </HBox>
        _react2.default.createElement(
          HBox,
          { className: 'approve-item', onClick: this.clickDetail.bind(this) },
          _react2.default.createElement(
            Box,
            { className: 'approve-check' },
            _react2.default.createElement(
              Box,
              { className: this.props.isBatch == false ? 't-DN' : 't-checkbox-field-icon-list un-checked t-MR10', 'data-taskId': this.props.id, 'data-module': this.props.module, 'data-processInstanceId': this.props.processInstanceId },
              _react2.default.createElement('i', { className: 'iconfont icon-checked t-FCf t-FS14' })
            )
          ),
          _react2.default.createElement(
            Box,
            { className: 'approve-right-text' },
            _react2.default.createElement(
              HBox,
              { className: 'approveItem-title' },
              _react2.default.createElement(
                Box,
                { className: this.props.urgency == '1' && this.props.type == 0 ? 'label label-danger' : 't-DN' },
                '\u52A0\u6025'
              ),
              _react2.default.createElement(
                Box,
                { className: this.props.dueDate != null && this.props.dueDate < clock && this.props.type == 0 ? 'label label-warn' : 't-DN' },
                '\u8D85\u65F6'
              ),
              _react2.default.createElement(
                Box,
                { className: this.props.deleted != null && this.props.deleted == '1' && this.props.type == 0 ? 'label label-info' : 't-DN' },
                '\u6682\u4E0D\u529E\u7406'
              ),
              _react2.default.createElement(
                Box,
                { className: 'title' },
                this.props.title
              )
            ),
            _react2.default.createElement(
              HBox,
              { className: 'approveItem-tag' },
              _react2.default.createElement(
                'span',
                { className: 'label label-primary' },
                comleteName
              )
            ),
            _react2.default.createElement(
              HBox,
              { className: 'bottom-text' },
              _react2.default.createElement(
                Box,
                { className: checkIsNotComplete ? "text-item" : "t-DN" },
                assigneeName
              ),
              _react2.default.createElement(
                Box,
                { className: 'text-item' },
                formatTime
              )
            )
          ),
          _react2.default.createElement('i', { className: 'iconfont icon-right-arrow' })
        )
      );
    }
  }]);

  return ListItem;
}(_react2.default.Component);

;

var transactionIndex = {
  activeTabIndex: ''
};

var PageHome = function (_React$Component2) {
  _inherits(PageHome, _React$Component2);

  function PageHome(props) {
    _classCallCheck(this, PageHome);

    document.addEventListener('resume', function (e) {});

    var _this2 = _possibleConstructorReturn(this, (PageHome.__proto__ || Object.getPrototypeOf(PageHome)).call(this, props));

    setPageTitle('办理');
    // 禁用iOS弹性事件
    if (navigator.userAgent.indexOf('DingTalk') > -1) {
      dd.ui.webViewBounce.disable();
    }
    //获取内容显示区域高度
    var hasBottomTabHidden = document.getElementById("hasBottomTab") ? document.getElementById("hasBottomTab").value : "0";
    var hasBottomTab = props.hasBottomTab ? props.hasBottomTab : hasBottomTabHidden;
    var winHeight = getScrollHigh(1, 1, hasBottomTab);

    var constIndex = document.getElementById("activeTabIndex").value; //常量
    var activeIndex = props.activeIndex ? props.activeIndex : 0;
    var type = props.type ? props.type : "self"; //self：本应用，all:全模块
    var module = props.module ? props.module : type == "self" ? "approve" : "";
    var hasBatch = eval(props.hasBatch ? props.hasBatch : "true"); //是否有批量办理
    var tabCodes = props.tabCodes ? props.tabCodes : "undo,unread,done,read,myself"; //标签页
    var searchVal = props.search;

    var projectPath = props.projectPath ? props.projectPath : "modules/mobileoffice";
    if (constIndex == '') {
      if (!activeIndex) {
        activeIndex = '0';
      }
      constIndex = activeIndex;
    } else {
      activeIndex = constIndex;
    }
    var undoListUrl;
    var unreadListUrl;
    var doneListUrl;
    var readListUrl;
    var myselfListUrl;
    if (type == "self") {
      undoListUrl = _variables2.default.URLS.transaction.undo + "&module=" + module;
      unreadListUrl = _variables2.default.URLS.transaction.unread + "&module=" + module;
      doneListUrl = _variables2.default.URLS.transaction.done + "&module=" + module;
      readListUrl = _variables2.default.URLS.transaction.read + "&module=" + module;
      myselfListUrl = _variables2.default.URLS.transaction.myself + "&module=" + module;
    } else {
      undoListUrl = _variables2.default.URLS.transaction.undo + "&unified=1&sourceType=unitedapprove&module=" + module;
      unreadListUrl = _variables2.default.URLS.transaction.unread + "&unified=1&sourceType=unitedapprove&module=" + module;
      doneListUrl = _variables2.default.URLS.transaction.done + "&unified=1&sourceType=unitedapprove&module=" + module;
      readListUrl = _variables2.default.URLS.transaction.read + "&unified=1&sourceType=unitedapprove&module=" + module;
      myselfListUrl = _variables2.default.URLS.transaction.myself + "&unified=1&sourceType=unitedapprove&module=" + module;
    }
    _this2.state = {
      tabCodes: tabCodes,
      type: type,
      activeTabIndex: activeIndex, // 待办-0；待阅-1；已办-2；已阅-3；我的-4
      winHeight: winHeight,
      projectPath: projectPath,
      page: 0,
      search0: searchVal,
      search1: searchVal,
      search2: searchVal,
      search3: searchVal,
      search4: searchVal,
      titleCount: {
        undo: 0, // 待办
        unread: 0, // 待阅
        done: 0, // 已办
        read: 0, // 已阅
        myself: 0 // 我的
      },
      ableClick: true, //列表是否可点击,
      isBatch: false,
      noDataTip0: '暂无数据',
      noDataTip1: '暂无数据',
      noDataTip2: '暂无数据',
      noDataTip3: '暂无数据',
      noDataTip4: '暂无数据',
      module: module,
      undoListUrl: undoListUrl,
      unreadListUrl: unreadListUrl,
      doneListUrl: doneListUrl,
      readListUrl: readListUrl,
      myselfListUrl: myselfListUrl,
      hasBatch: hasBatch
    };
    _this2.getTransactionTitleCount(module, "undo,unread");
    /**
     * 办理页面搜索框设置项
     * @type {{locale: string, instantSearch: boolean, hasHistory: boolean, searchDelay: number, onEnter: (()), onExit: (()), onChange: ((p1:*)), onSearch: ((p1?:*))}}
     */
    _this2.searchBarProps = {
      placeholder: "请输入流程标题查询",
      instantSearch: false,
      hasHistory: false,
      searchDelay: 450,
      value: searchVal,
      exitAfterEnter: false,
      onEnter: function onEnter() {
        console.log('enter');
      },
      onExit: _this2.onExit.bind(_this2),
      onChange: function onChange(value) {
        console.log('Typing>>' + value);
      },
      onSearch: _this2.onSearch.bind(_this2)
    };

    return _this2;
  }

  _createClass(PageHome, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var obj = $("title");
      obj.text("办理");
      var thirdMenuType = getLoginUserInfo().thirdMenuType;
      if (thirdMenuType == 'DING') {
        dd.biz.navigation.setTitle({
          title: "办理", //控制标题文本，空字符串表示显示默认文本
          onSuccess: function onSuccess(result) {},
          onFail: function onFail(err) {}
        });
      } else if (thirdMenuType == 'MH' && typeof emp != "undefined") {
        emp.window.setTitle({
          title: {
            text: "办理",
            icon: '',
            actionmenu: {}
          }
        });
      }
      $("#App").removeAttr("style");
      _Popup2.default.hide();
      // dd.ready(function(){
      //     document.addEventListener('resume', function(e) {
      //         this.refs.transaction_undo_ref.fetchData(param);
      //         this.refs.transaction_done_ref.fetchData(param);
      //         this.refs.transaction_myself_ref.fetchData(param);
      //     });
      // });
    }

    /**
     * tab页切换方法
     * @param obj
     */

  }, {
    key: 'handleTabChange',
    value: function handleTabChange(obj) {
      var t = this;
      // this.setState({ activeTabIndex:obj.active });
      var active = obj.active;
      console.log(active);
      document.getElementById("activeTabIndex").value = active;
      this.setState({
        activeTabIndex: active,
        page: 0,
        selectAll: true,
        isBatch: false
      });
      var preActive = obj.preActive;
    }

    /**
     * 获取页面 标题数量 方法
     */

  }, {
    key: 'getTransactionTitleCount',
    value: function getTransactionTitleCount(module, codes) {
      var _this3 = this;

      var t = this;
      _db2.default.FlowApproval.getApproveCount({
        module: module,
        codes: codes
      }).then(function (content) {
        _this3.state.titleCount.undo = content.undo;
        _this3.state.titleCount.unread = content.unread;
      }).catch(function (error) {
        console.log(error);
      });
    }

    /**
     * ScrollList 请求数据之前的函数
     */

  }, {
    key: 'beforeFetch0',
    value: function beforeFetch0(data, from) {
      this.setState({
        ableClick: false
      });
      //alert("this.state.search: " + JSON.stringify(this.state.search) + ';;;param: ' + JSON.stringify(from));
      data.corpId = corpid;
      // data.code = ;
      var search = from.title;
      if (search == undefined) {
        data.title = this.state.search0;
      } else {
        data.title = from.title;
      }
      return data;
    }
  }, {
    key: 'beforeFetch1',
    value: function beforeFetch1(data, from) {
      this.setState({
        ableClick: false
      });
      //alert("this.state.search: " + JSON.stringify(this.state.search) + ';;;param: ' + JSON.stringify(from));
      data.corpId = corpid;
      // data.code = ;
      var search = from.title;
      if (search == undefined) {
        data.title = this.state.search1;
      } else {
        data.title = from.title;
      }
      return data;
    }
  }, {
    key: 'beforeFetch2',
    value: function beforeFetch2(data, from) {
      this.setState({
        ableClick: false
      });
      //alert("this.state.search: " + JSON.stringify(this.state.search) + ';;;param: ' + JSON.stringify(from));
      data.corpId = corpid;
      // data.code = ;
      var search = from.title;
      if (search == undefined) {
        data.title = this.state.search2;
      } else {
        data.title = from.title;
      }
      return data;
    }
  }, {
    key: 'beforeFetch3',
    value: function beforeFetch3(data, from) {
      this.setState({
        ableClick: false
      });
      //alert("this.state.search: " + JSON.stringify(this.state.search) + ';;;param: ' + JSON.stringify(from));
      data.corpId = corpid;
      // data.code = ;
      var search = from.title;
      if (search == undefined) {
        data.title = this.state.search3;
      } else {
        data.title = from.title;
      }
      return data;
    }
  }, {
    key: 'beforeFetch4',
    value: function beforeFetch4(data, from) {
      this.setState({
        ableClick: false
      });
      //alert("this.state.search: " + JSON.stringify(this.state.search) + ';;;param: ' + JSON.stringify(from));
      data.corpId = corpid;
      // data.code = ;
      var search = from.title;
      if (search == undefined) {
        data.title = this.state.search4;
      } else {
        data.title = from.title;
      }
      return data;
    }

    /**
     * ScrollList 得到返回数据
     * @param data
     * @returns {*}
     */

  }, {
    key: 'processData',
    value: function processData(data) {
      this.setState({
        ableClick: true
      });
      $('.empty-content').show();
      return data;
    }

    /**
     * 搜索栏，确认搜索
     */

  }, {
    key: 'onSearch',
    value: function onSearch(searchValue) {

      searchVal = searchValue;
      var type = this.state.type;

      if (type == "self") {
        var url = 'approval/transaction/' + this.state.activeTabIndex + '/' + searchVal;
        location.hash = url;
      } else {
        var url = 'approval/all/' + this.state.activeTabIndex + '/' + searchVal;
        location.hash = url;
      }

      console.log('onSearch>>' + searchValue);
      var noDataTip = '无搜索结果';
      if (this.state.activeTabIndex == 0) {
        this.setState({
          search0: searchValue,
          noDataTip0: noDataTip
        });
        var param = {
          title: searchValue
        };
        this.refs.transaction_undo_ref.fetchData(param);
      } else if (this.state.activeTabIndex == 1) {
        this.setState({
          search1: searchValue,
          noDataTip1: noDataTip
        });
        var _param = {
          title: searchValue
        };
        this.refs.transaction_unread_ref.fetchData(_param);
      } else if (this.state.activeTabIndex == 2) {
        this.setState({
          search2: searchValue,
          noDataTip2: noDataTip
        });
        var _param2 = {
          title: searchValue
        };
        this.refs.transaction_done_ref.fetchData(_param2);
      } else if (this.state.activeTabIndex == 3) {
        this.setState({
          search3: searchValue,
          noDataTip3: noDataTip
        });
        var _param3 = {
          title: searchValue
        };
        this.refs.transaction_read_ref.fetchData(_param3);
      } else if (this.state.activeTabIndex == 4) {
        this.setState({
          search4: searchValue,
          noDataTip4: noDataTip
        });
        var _param4 = {
          title: searchValue
        };
        this.refs.transaction_myself_ref.fetchData(_param4);
      }
    }

    /**
     * 退出搜索栏工具
     */

  }, {
    key: 'onExit',
    value: function onExit() {
      // debugger;
      console.log('onExit!');
      var noDataTip = '暂无数据';
      var searchValue = '';

      var type = this.state.type;
      if (type == "self") {
        var url = 'approval/transaction/' + this.state.activeTabIndex;
        location.hash = url;
      } else {
        var url = 'approval/all/' + this.state.activeTabIndex;
        location.hash = url;
      }
      searchVal = '';
      $('.empty-content').hide();
      if (this.state.activeTabIndex == 0) {
        this.refs.transaction_undo_ref.fetchData({
          title: searchValue
        });
        this.setState({
          search0: '',
          noDataTip0: noDataTip
        });
      } else if (this.state.activeTabIndex == 1) {
        this.refs.transaction_unread_ref.fetchData({
          title: searchValue
        });
        this.setState({
          search1: '',
          noDataTip1: noDataTip
        });
      } else if (this.state.activeTabIndex == 2) {
        this.refs.transaction_done_ref.fetchData({
          title: searchValue
        });
        this.setState({
          search2: '',
          noDataTip2: noDataTip
        });
      } else if (this.state.activeTabIndex == 3) {
        this.refs.transaction_read_ref.fetchData({
          title: searchValue
        });
        this.setState({
          search3: '',
          noDataTip3: noDataTip
        });
      } else if (this.state.activeTabIndex == 4) {
        this.refs.transaction_myself_ref.fetchData({
          title: searchValue
        });
        this.setState({
          search4: '',
          noDataTip4: noDataTip
        });
      }
    }
  }, {
    key: 'onScrollRefresh',
    value: function onScrollRefresh() {}
  }, {
    key: 'onLoad',
    value: function onLoad() {}
    //更新可点击状态

  }, {
    key: 'updateAbleClick',
    value: function updateAbleClick(boolean) {
      this.setState({
        ableClick: boolean
      });
    }

    //点击批量

  }, {
    key: 'clickBatch',
    value: function clickBatch(boolean) {
      this.setState({
        isBatch: !boolean,
        selectAll: true
      });
    }

    //全选

  }, {
    key: 'selectAll',
    value: function selectAll() {
      var t = this;
      if (this.state.selectAll) {
        $(".t-checkbox-field-icon-list").map(function (index, item) {
          $(item).removeClass("un-checked");
          $(item).addClass("checked");
        });
        this.setState({
          selectAll: false
        });
      } else {
        $(".t-checkbox-field-icon-list").map(function (index, item) {
          $(item).removeClass("checked");
          $(item).addClass("un-checked");
        });
        this.setState({
          selectAll: true
        });
      }
    }
  }, {
    key: 'clickBatchButton',
    value: function clickBatchButton() {
      var t = this;
      if (this.state.activeTabIndex == 0) {

        //遍历循环选中
        var taskIds = "";
        var processInstanceIds = "";
        var taskId = '';
        var _module = '';
        $(".checked").map(function (index, item) {
          taskIds += $(item).attr("data-taskid") + ",";
          processInstanceIds += $(item).attr("data-processInstanceId") + ",";

          if (index == 0) {
            taskId = $(item).attr("data-taskid");
            _module = $(item).attr("data-module");
          }
        });
        //alert(taskIds);
        if (taskIds) {
          taskIds = taskIds.substring(0, taskIds.length - 1);
          processInstanceIds = processInstanceIds.substring(0, processInstanceIds.length - 1);
        } else {
          _Toast2.default.show({
            type: 'error',
            content: '请选择记录'
          });
          return;
        }
        console.log("taskIds===" + taskIds);
        _db2.default.FlowModuleAPI.batchValidateForm({
          taskIds: taskIds
        }).then(function (validateContent) {

          if (validateContent != null && validateContent.length > 0) {
            var titles = '';
            for (var s = 0; s < validateContent.length; s++) {
              titles += validateContent[s].title + '、';
            }
            if (titles.length > 0) {
              titles = titles.substring(0, titles.length - 1);
              _Toast2.default.show({
                type: 'success',
                content: '批量提交失败，' + titles + '，存在必填项没有填写！'
              });
              return;
            }
          }
          _db2.default.FlowModuleAPI.getUndoTaskInfo({
            taskId: taskId,
            type: 0
          }).then(function (taskContent) {
            var buttonCodes = taskContent.buttons;
            var tasktype = taskContent.tasktype;
            if (tasktype != 'radom') {
              //是否有批示意见
              var commentIsNotNull = taskContent.commentIsNotNull; //审批意见是否为空
              if (!commentIsNotNull) {
                commentIsNotNull = '0';
              }
              var hasCommentField = taskContent.hasCommentField;
              if (!hasCommentField) {
                hasCommentField = '0';
              }
              var commentType = taskContent.commentType; //审批意见类型
              if (!commentType) {
                commentType = '-1';
              }

              var signPicId = taskContent.signPicId; //签名图片id
              if (!signPicId) {
                signPicId = "-1";
              }

              //紧急
              var urgent = taskContent.urgency;
              if (!urgent) {
                urgent = '0';
              }

              //是否有锁
              var lock = taskContent.lock;

              //流程编码
              var code = taskContent.code;

              //是否是起点
              var isStart = taskContent.isStart == true ? "1" : "0";

              location.hash = 'approval/batch/' + taskIds + "/" + processInstanceIds + "/1/" + code + "/" + hasCommentField + "/" + commentIsNotNull + "/" + commentType + "/" + signPicId + "/" + urgent + "/" + isStart + "/" + _module + "?project=mobileportal";
            } else {
              _Toast2.default.show({
                type: 'error',
                content: '当前勾选的任务中，含有不支持批量通过的任务！'
              });
              return;
            }
          }).catch(function (error) {
            _Toast2.default.show({
              type: 'error',
              content: error.errorMsg
            });
          });
        }).catch(function (error) {
          _Toast2.default.show({
            type: 'error',
            content: error.errorMsg
          });
        });
      } else if (this.state.activeTabIndex == 1) {
        //待阅
        var taskIds = "";
        var processInstanceIds = "";
        var module = "";
        var permissionCode = "unRead";
        $(".checked").map(function (index, item) {
          taskIds += $(item).attr("data-taskid") + ",";
          processInstanceIds += $(item).attr("data-processInstanceId") + ",";

          if (index == 0) {
            module = $(item).attr("data-module");
          }
        });

        if (taskIds) {
          taskIds = taskIds.substring(0, taskIds.length - 1);
          processInstanceIds = processInstanceIds.substring(0, processInstanceIds.length - 1);
        } else {
          _Toast2.default.show({
            type: 'error',
            content: '请选择记录'
          });
          return;
        }
        _db2.default.FlowModuleAPI.readCompleteTaskBatch({
          taskIds: taskIds,
          processInstanceIds: processInstanceIds,
          module: module,
          permissionCode: permissionCode
        }).then(function (content) {
          _Toast2.default.show({
            type: 'success',
            content: '已阅成功'
          });
          t.setState({
            isBatch: false
          });
          t.refs.transaction_unread_ref.fetchData({
            value: t.state.search1
          });
        }).catch(function (error) {
          _Toast2.default.show({
            type: 'error',
            content: error.errorMsg
          });
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var tabBarStyle = {};
      var winHeightStyle = { height: this.state.winHeight };

      var Item = function Item(props) {
        return _react2.default.createElement(
          'div',
          { className: 'demo-item' },
          props.id + ' ' + props.name
        );
      };
      var undoDiv = _react2.default.createElement(
        'div',
        null,
        ' \u5F85\u529E',
        this.state.titleCount.undo == 0 ? '' : _react2.default.createElement(
          'span',
          { style: { color: 'red' } },
          '(',
          this.state.titleCount.undo,
          ')'
        )
      );
      var unreadDiv = _react2.default.createElement(
        'div',
        null,
        ' \u5F85\u9605',
        this.state.titleCount.unread == 0 ? '' : _react2.default.createElement(
          'span',
          { style: { color: 'red' } },
          '(',
          this.state.titleCount.unread,
          ')'
        )
      );
      return _react2.default.createElement(
        'div',
        { className: 'approve-list' },
        _react2.default.createElement(
          _Tab2.default,
          { activeKey: this.state.activeTabIndex, onChange: this.handleTabChange.bind(this), destroyInactiveTabPane: false },
          this.state.tabCodes.indexOf('undo') >= 0 ? _react2.default.createElement(
            _Tab2.default.Item,
            { title: undoDiv },
            _react2.default.createElement(
              HBox,
              { vAlign: 'center', className: 't-BCf' },
              _react2.default.createElement(
                Box,
                { flex: 1 },
                _react2.default.createElement(_SearchBar2.default, _extends({ ref: 'search_undo_ref', className: 'searchActive' }, this.searchBarProps))
              ),
              _react2.default.createElement(
                Box,
                { className: this.state.hasBatch ? this.state.isBatch ? "t-FCc t-PR16 t-FS14" : "theme-color t-PR16 t-FS14" : "t-DN", onClick: this.clickBatch.bind(this, this.state.isBatch) },
                '\u6279\u91CF'
              )
            ),
            _react2.default.createElement(
              'div',
              { className: 'scrollHeight', style: winHeightStyle },
              _react2.default.createElement(
                _ScrollList2.default,
                {
                  url: this.state.undoListUrl,
                  dataType: 'json',
                  pageSize: 10,
                  beforeFetch: this.beforeFetch0.bind(this),
                  processData: this.processData.bind(this),
                  ref: 'transaction_undo_ref',
                  noDataImage: _variables2.default.nodataIcon,
                  currentPageKey: 'page',
                  noDataTip: this.state.noDataTip0
                },
                _react2.default.createElement(ListItem, { type: '0', isBatch: this.state.isBatch, ableClick: this.state.ableClick, fromType: this.state.type, projectPath: this.state.projectPath, updateAbleClick: this.updateAbleClick.bind(this) })
              )
            )
          ) : "",
          this.state.tabCodes.indexOf('unread') >= 0 ? _react2.default.createElement(
            _Tab2.default.Item,
            { title: unreadDiv },
            _react2.default.createElement(
              HBox,
              { vAlign: 'center', className: 't-BCf' },
              _react2.default.createElement(
                Box,
                { flex: 1 },
                _react2.default.createElement(_SearchBar2.default, _extends({ ref: 'search_unread_ref', className: 'searchActive' }, this.searchBarProps))
              ),
              _react2.default.createElement(
                Box,
                { className: this.state.hasBatch ? this.state.isBatch ? "t-FCc t-PR16" : "theme-color t-PR16" : "t-DN", isBatch: this.state.isBatch, onClick: this.clickBatch.bind(this, this.state.isBatch) },
                '\u6279\u91CF'
              )
            ),
            _react2.default.createElement(
              'div',
              { className: 'scrollHeight', style: winHeightStyle },
              _react2.default.createElement(
                _ScrollList2.default,
                {
                  url: this.state.unreadListUrl,
                  dataType: 'json',
                  pageSize: 10,
                  beforeFetch: this.beforeFetch1.bind(this),
                  processData: this.processData.bind(this),
                  ref: 'transaction_unread_ref',
                  noDataImage: _variables2.default.nodataIcon,
                  currentPageKey: 'page',
                  noDataTip: this.state.noDataTip1
                },
                _react2.default.createElement(ListItem, { type: '1', ableClick: this.state.ableClick, isBatch: this.state.isBatch, fromType: this.state.type, projectPath: this.state.projectPath, updateAbleClick: this.updateAbleClick.bind(this) })
              )
            )
          ) : "",
          this.state.tabCodes.indexOf('done') >= 0 ? _react2.default.createElement(
            _Tab2.default.Item,
            { title: "已办" + (this.state.titleCount.done == 0 ? '' : '(' + this.state.titleCount.done + ')') },
            _react2.default.createElement(
              HBox,
              { vAlign: 'center', className: 't-BCf' },
              _react2.default.createElement(
                Box,
                { flex: 1 },
                _react2.default.createElement(_SearchBar2.default, _extends({ ref: 'search_done_ref', className: 'searchActive' }, this.searchBarProps))
              )
            ),
            _react2.default.createElement(
              'div',
              { className: 'scrollHeight', style: winHeightStyle },
              _react2.default.createElement(
                _ScrollList2.default,
                {
                  url: this.state.doneListUrl,
                  dataType: 'json',
                  pageSize: 10,
                  beforeFetch: this.beforeFetch2.bind(this),
                  processData: this.processData.bind(this),
                  ref: 'transaction_done_ref',
                  noDataImage: _variables2.default.nodataIcon,
                  currentPageKey: 'page',
                  noDataTip: this.state.noDataTip2
                },
                _react2.default.createElement(ListItem, { type: '2', ableClick: this.state.ableClick, isBatch: this.state.isBatch, fromType: this.state.type, projectPath: this.state.projectPath, updateAbleClick: this.updateAbleClick.bind(this) })
              )
            )
          ) : "",
          this.state.tabCodes.indexOf('read') >= 0 ? _react2.default.createElement(
            _Tab2.default.Item,
            { title: "已阅" + (this.state.titleCount.read == 0 ? '' : '(' + this.state.titleCount.read + ')') },
            _react2.default.createElement(
              HBox,
              { vAlign: 'center', className: 't-BCf' },
              _react2.default.createElement(
                Box,
                { flex: 1 },
                _react2.default.createElement(_SearchBar2.default, _extends({ ref: 'search_read_ref', className: 'searchActive' }, this.searchBarProps))
              )
            ),
            _react2.default.createElement(
              'div',
              { className: 'scrollHeight', style: winHeightStyle },
              _react2.default.createElement(
                _ScrollList2.default,
                {
                  url: this.state.readListUrl,
                  dataType: 'json',
                  pageSize: 10,
                  beforeFetch: this.beforeFetch3.bind(this),
                  processData: this.processData.bind(this),
                  ref: 'transaction_read_ref',
                  noDataImage: _variables2.default.nodataIcon,
                  currentPageKey: 'page',
                  noDataTip: this.state.noDataTip3
                },
                _react2.default.createElement(ListItem, { type: '3', ableClick: this.state.ableClick, isBatch: this.state.isBatch, fromType: this.state.type, projectPath: this.state.projectPath, updateAbleClick: this.updateAbleClick.bind(this) })
              )
            )
          ) : "",
          this.state.tabCodes.indexOf('myself') >= 0 ? _react2.default.createElement(
            _Tab2.default.Item,
            { title: "我的" + (this.state.titleCount.myself == 0 ? '' : '(' + this.state.titleCount.myself + ')') },
            _react2.default.createElement(
              HBox,
              { vAlign: 'center', className: 't-BCf' },
              _react2.default.createElement(
                Box,
                { flex: 1 },
                _react2.default.createElement(_SearchBar2.default, _extends({ ref: 'search_myself_ref', className: 'searchActive' }, this.searchBarProps))
              )
            ),
            _react2.default.createElement(
              'div',
              { className: 'scrollHeight', style: winHeightStyle },
              _react2.default.createElement(
                _ScrollList2.default,
                {
                  url: this.state.myselfListUrl,
                  dataType: 'json',
                  pageSize: 10,
                  beforeFetch: this.beforeFetch4.bind(this),
                  processData: this.processData.bind(this),
                  ref: 'transaction_myself_ref',
                  noDataImage: _variables2.default.nodataIcon,
                  currentPageKey: 'page',
                  noDataTip: this.state.noDataTip4
                },
                _react2.default.createElement(ListItem, { type: '4', ableClick: this.state.ableClick, isBatch: this.state.isBatch, fromType: this.state.type, projectPath: this.state.projectPath, updateAbleClick: this.updateAbleClick.bind(this) })
              )
            )
          ) : ""
        ),
        _react2.default.createElement(
          'div',
          { className: this.state.isBatch ? "t-bottom-fixed" : "t-DN" },
          _react2.default.createElement(
            _Button2.default.Group,
            null,
            _react2.default.createElement(
              _Button2.default,
              { type: 'secondary', display: 'inline', onClick: this.selectAll.bind(this) },
              this.state.selectAll ? '全选' : '取消'
            ),
            _react2.default.createElement(
              _Button2.default,
              { type: 'primary', display: 'inline',
                onClick: this.clickBatchButton.bind(this) },
              this.state.activeTabIndex == 0 ? '通过' : '已阅'
            )
          )
        )
      );
    }
  }]);

  return PageHome;
}(_react2.default.Component);

exports.default = PageHome;