'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _variables = require('../db/variables');

var _variables2 = _interopRequireDefault(_variables);

var _db = require('../db/db');

var _db2 = _interopRequireDefault(_db);

require('whatwg-fetch');

require('es6-promise');

require('./List.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var VBox = _Boxs2.default.VBox,
    Box = _Boxs2.default.Box,
    HBox = _Boxs2.default.HBox;

var PageHome = function (_React$Component) {
  _inherits(PageHome, _React$Component);

  function PageHome(props) {
    _classCallCheck(this, PageHome);

    var _this = _possibleConstructorReturn(this, (PageHome.__proto__ || Object.getPrototypeOf(PageHome)).call(this, props));

    var setting = getSysAttachSetting();

    //预览类型，view：永中预览，download：下载
    var viewType = 'view';

    if (setting.sysAttachmentView == 0) {
      //如果设置中预览关闭则默认下载
      viewType = "download";
    }

    // let startUserName = decodeURI(this.props.params.startUserName);//创建人用户
    // let startUserGroupName = decodeURI(this.props.params.startUserGroupName);//创建人组织
    //let startUserId = this.props.params.startUserId;
    var token = document.getElementById('token').value;
    _this.state = {
      // attachId:props.attachId,
      loadImg: _variables2.default.loadImg + "&fid=",
      // imgUrl:getImagePreUrl()+'/attachment/download?token='+token+'&',
      // queryUrl: context + '/api/m/plugin/attachment/mobile/getAttachmentByIds?token='+token+'&ids=',
      commentList: [],
      viewType: viewType
    };

    return _this;
  }

  _createClass(PageHome, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var t = this;
      var token = document.getElementById('token').value;
      this.initData(token, function (commentList) {
        t.setState({
          commentList: commentList
        });
      });

      this.casigin();
    }

    //批示意见验签

  }, {
    key: 'casigin',
    value: function casigin() {
      var commentList = this.props.list;
      if (commentList) {
        commentList.map(function (item) {
          var param = {};
          param.bizSn = item.id;
          param.relationId = getLoginUserInfo().mobile;
          param.msg = item.fullMessage;
          // setTimeout(function(){
          //   $("#"+item.id+"_sucess").show();
          // },1000)
          _db2.default.FlowApproval.verifySign(param).then(function (content) {
            var result = content.verifySignRes;
            if (result == 'success') {
              $("#commentSign-" + item.id).removeClass('t-PR16');
              $("#" + item.id + "_sucess").show();
            }
          }).catch(function (error) {
            if (error.errorMsg == "签名值与原文不匹配") {
              $("#commentSign-" + item.id).removeClass('t-PR16');
              $("#" + item.id + "_fail").show();
            }
            //  else{
            //   Toast.show({
            //     type: 'error',
            //     content: error.errorMsg,
            //   });
            //  }
          });
        });
      }
    }

    //初始化ids

  }, {
    key: 'initData',
    value: function () {
      var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(token, sucess) {
        var t, context, url, commentList, attachIds;
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                t = this;
                context = document.getElementById("context").value;
                url = context + '/api/m/plugin/attachment/mobile/getAttachmentByIds?token=' + token + '&ids=';
                commentList = this.props.list;
                attachIds = "";
                // var attachMap = {};

                commentList.map(function (item) {
                  // var commentId = item.id;
                  var attachId = item.attachId;
                  if (attachId) {
                    attachId = attachId.replaceAll("|", ",");
                    attachIds = attachIds + "," + attachId;
                    // attachMap[commentId] = attachId;
                  }
                });

                if (!attachIds) {
                  _context.next = 13;
                  break;
                }

                attachIds = attachIds.substring(1);
                _context.next = 10;
                return t.promises(url + attachIds).then(function (e) {
                  commentList.map(function (item) {
                    // var commentId = item.id;
                    var attachId = item.attachId;
                    if (attachId) {
                      var fileList = [];
                      var attachArray = attachId.split("|");
                      attachArray.map(function (attachItem) {
                        for (var i = 0; i < e.length; i++) {
                          if (attachItem == e[i].id) {
                            fileList.push(e[i]);
                          }
                        }
                      });
                      item.fileList = fileList;
                    }
                  });
                });

              case 10:
                sucess(commentList);
                _context.next = 14;
                break;

              case 13:
                sucess(commentList);

              case 14:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function initData(_x, _x2) {
        return _ref.apply(this, arguments);
      }

      return initData;
    }()
  }, {
    key: 'promises',
    value: function promises(url) {
      return new Promise(function (resolve, reject) {
        try {
          fetch(url, {
            method: "POST",
            headers: {
              'Content-Type': 'application/x-www-form-urlencoded'
            }
          }).then(function (res) {
            if (res.ok) {
              res.json().then(function (obj) {
                var objList = obj.data;
                resolve(objList);
              });
            } else if (res.status == 401) {
              // To do with res
            }
          });
        } catch (e) {
          console.log(e);
        }
      });
    }

    //预览

  }, {
    key: 'view',
    value: function view(file) {
      var id = file.id;
      if (this.state.viewType == 'view') {
        // var isLoadWatermark = this.props.isLoadWatermark;
        // var allowDownLoad = this.props.allowDownLoad;
        var fileExt = file.fileExt;
        downloadFile(id, 'android', fileExt);
      } else {
        downloadFile(id);
      }
    }
  }, {
    key: 'getCommentSign',
    value: function getCommentSign(item) {
      var t = this;
      var returnHtml;
      if (item.inscriptionShow) {

        var userNameHtml = _react2.default.createElement(
          'span',
          { className: 't-PR5' },
          item.userName
        );
        var dateHtml = _react2.default.createElement(
          'span',
          { className: 't-PR5' },
          item.time.substring(0, 10)
        );
        var timeHtml = _react2.default.createElement(
          'span',
          { className: 't-PR5' },
          item.time.substring(11)
        );
        var orgNameHtml = _react2.default.createElement(
          'span',
          { className: 't-PR5' },
          item.orgShowName
        );
        var signPicHtml = item.signPic ? _react2.default.createElement('img', { className: 't-H64 t-W64 t-PR5', src: t.state.loadImg + item.signPic }) : "";
        var taskNameHtml = _react2.default.createElement(
          'span',
          { className: 't-PR5' },
          item.taskName
        );
        var inscriptionShowArray = item.inscriptionShow.split(",");
        var _returnHtml = inscriptionShowArray.map(function (inscriptionItem) {
          if (inscriptionItem) {
            if (inscriptionItem == "userName" && (item.inscriptionShow.indexOf("signImg") < 0 || item.inscriptionShow.indexOf("signImg") >= 0 && (typeof item.signPic == 'undefined' || item.signPic == null || item.signPic == ""))) {
              return userNameHtml;
            } else if (inscriptionItem == "date") {
              return dateHtml;
            } else if (inscriptionItem == "time") {
              return timeHtml;
            } else if (inscriptionItem == "org") {
              return orgNameHtml;
            } else if (inscriptionItem == "signImg") {
              return signPicHtml;
            } else if (inscriptionItem == "taskName") {
              return taskNameHtml;
            }
          }
        });
        return _react2.default.createElement(
          Box,
          { style: { marginLeft: "auto", "text-align": "right", width: '100%' } },
          _returnHtml
        );
      } else {
        return "";
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var t = this;
      return _react2.default.createElement(
        'div',
        null,
        t.state.commentList != null && t.state.commentList.length > 0 ? t.state.commentList.map(function (item, key) {
          return _react2.default.createElement(
            VBox,
            { className: 't-PB10 t-LH1_5 t-field t-FS14 t-PL10' },
            item.type.indexOf('image') < 0 ? _react2.default.createElement(Box, { className: 't-FS16 t-PR16', dangerouslySetInnerHTML: { __html: item.fullMessage == null ? "" : item.fullMessage.replace(/\r\n/g, '<br/>').replace(/\n/g, '<br/>').replace(/ /g, '&nbsp;') } }) : item.fullMessage == '' ? _react2.default.createElement(
              Box,
              null,
              '\'\''
            ) : _react2.default.createElement(
              HBox,
              { className: 't-PR16' },
              _react2.default.createElement('img', { width: '100%', height: '128', src: t.state.loadImg + item.fullMessage })
            ),
            _react2.default.createElement(
              'div',
              { className: '' },
              item.fileList && item.fileList.length > 0 ? item.fileList.map(function (item2, i) {
                function calculate(no) {
                  var a = no / 1024;
                  if (a < 1) {
                    return no + 'B';
                  }
                  var b = a / 1024;
                  if (b < 1) {
                    return Math.round(a * 100) / 100 + 'KB';
                  }
                  return Math.round(b * 100) / 100 + 'MB';
                }
                return _react2.default.createElement(
                  'div',
                  { className: 't-FBH', key: i },
                  _react2.default.createElement(
                    'div',
                    { className: 'dd-t-border t-P6 t-MB10 t-FB1', onClick: t.view.bind(t, item2) },
                    _react2.default.createElement('i', { className: 'iconfont icon-file t-FC9 t-FL t-MR6' }),
                    _react2.default.createElement(
                      'div',
                      { className: 'dd-t-list-text-content' },
                      _react2.default.createElement(
                        'div',
                        { className: 't-list-title t-omit t-LH1_4' },
                        typeof item2.fileDisplayName == 'undefined' ? item2.name : item2.fileDisplayName
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: 'dd-t-list-time t-FBAC' },
                        calculate(typeof item2.fileSize == 'undefined' ? item2.size : item2.fileSize)
                      )
                    )
                  )
                );
              }) : ""
            ),
            _react2.default.createElement(
              Box,
              { vAlign: 'start', hAlign: 'end', id: 'commentSign-' + item.id, className: 't-FBH t-PR16' },
              ' ',
              item.inscriptionShow ? t.getCommentSign(item) : "",
              _react2.default.createElement('i', { id: item.id + "_sucess", className: 'iconfont icon-checked t-PT10 t-PL3', style: { color: 'green', display: 'none' } }),
              _react2.default.createElement('i', { id: item.id + "_fail", className: 'iconfont icon-close t-PT10 t-PL3', style: { color: 'red', display: 'none' } })
            )
          );
        }) : ''
      );
    }
  }]);

  return PageHome;
}(_react2.default.Component);

exports.default = PageHome;