'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Button = require('saltui/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _form = require('./form');

var _form2 = _interopRequireDefault(_form);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var HBox = _Boxs2.default.HBox,
    Box = _Boxs2.default.Box;

var FlowCommon = void 0;

var PageHome = function (_React$Component) {
  _inherits(PageHome, _React$Component);

  function PageHome(props) {
    _classCallCheck(this, PageHome);

    var _this = _possibleConstructorReturn(this, (PageHome.__proto__ || Object.getPrototypeOf(PageHome)).call(this, props));

    var form = props.form;
    var data = props.data;
    var status = props.status;
    var context = document.getElementById("context").value;

    var module = props.module && props.module != "undefined" ? props.module : "approve";
    FlowCommon = require('pages/flow_common/' + module).default ? require('pages/flow_common/' + module).default : require('pages/flow_common/' + module);

    // var itemParam = 
    _this.state = {
      module: module,
      status: status,
      fieldControll: props.fieldControll,
      urlPrev: context + '/dingisv/api/common/viewImage?fid=',
      calc: [],
      itemParam: {
        readOnly: false,
        required: false,
        title: '',
        value: '',
        itemType: '',
        id: '',
        key: ''
      },
      commentList: [],
      subModel: []
    };

    return _this;
  }

  //流程控制表单字段显示


  _createClass(PageHome, [{
    key: 'fieldControllFormat',
    value: function fieldControllFormat(field, fieldControll) {
      // let isHidden = null;
      // let required = null;
      // let readOnly = null;
      var status = null;
      if (fieldControll) {
        var hiddenFields = fieldControll.hiddenFields;
        var mustFields = fieldControll.mustFields;
        var showFields = fieldControll.showFields;
        var editFields = fieldControll.editFields;

        if (hiddenFields) {
          //是否隐藏
          if (hiddenFields.indexOf(field) >= 0) {
            //是否包含字段
            status = "hidden";
            return status;
          }
        }

        if (showFields) {
          //是否只读
          if (showFields.indexOf(field) >= 0) {
            //是否包含字段
            status = "show";
            return status;
          }
        }

        if (editFields) {
          //是否可编辑
          if (editFields.indexOf(field) >= 0) {
            //是否包含字段
            status = "edit";
            if (mustFields) {
              //是否必须
              if (mustFields.indexOf(field) >= 0) {
                //是否包含字段
                status = "edit&must";
                return status;
              }
            }
            return status;
          }
        }
      }
    }

    //加载组件

  }, {
    key: 'loadComponet',
    value: function loadComponet() {
      var t = this;
      var module = this.props.module;
      var formKey = this.props.formKey; //表单code
      var form = this.props.form; //表单元素
      var status = this.props.status; //判断是否能选择,0新增，1修改,2查看
      var data = this.props.data; //数据
      var subTbl = data.subTbl; //子表
      var relatedTbl = data.relatedTbl; //关联表
      //var dataType = this.props.dataType;//数据类型，main:主表，sub：子表，
      var itemParam = {}; //元素参数
      var id = form.id;
      itemParam.id = id;
      var title = form.itemTitle; //标题
      itemParam.title = title;
      var key = form.itemCode; //表字段;
      itemParam.key = key;
      var itemType = form.itemType; //类型
      itemParam.itemType = itemType;
      itemParam.uniqueName = form.uniqueName;
      itemParam.isHidden = form.isHidden ? form.isHidden : false; //默认不隐藏
      itemParam.parentTblName = form.parentTblName;

      itemParam.children = form['children'];
      itemParam.fieldControll = this.props.fieldControll;

      //判断字段属性
      var fieldControllJson = this.props.fieldControll;
      var subtableReadonly = false;
      if (fieldControllJson) {

        var subtableReadonlyStr = "";
        if (fieldControllJson.subtable) {
          subtableReadonlyStr = fieldControllJson.subtable;
        }
        if (subtableReadonlyStr.indexOf(form.tblId) >= 0) {
          subtableReadonly = true;
        }
      }

      if (status == 2) {
        subtableReadonly = true;
      }
      itemParam.subtableReadonly = subtableReadonly;
      var subForm = form.children;
      var value = this.dealwithSubForm(subForm, itemParam, subTbl, relatedTbl);
      data.subTbl = subTbl;
      data.relatedTbl = relatedTbl;
      itemParam.show = true;
      itemParam.value = value;
      itemParam.detailAction = form.detailAction; //添加事件名字
      //处理特有按钮事件
      if (typeof FlowCommon.dealwithCommonFormParam === "function") {
        itemParam = FlowCommon.dealwithCommonFormParam(itemParam, this);
      }

      //项目开发扩展
      var mobileExt;
      try {
        if (formKey) {
          mobileExt = typeof eval(module + "_" + formKey + "_mobileExt") !== 'undefined' ? eval(module + "_" + formKey + "_mobileExt") : null;
        }
      } catch (e) {
        // alert("exception: "+e.message);
      }
      if (typeof mobileExt !== 'undefined' && typeof mobileExt["dealwithFormParamExt"] === "function") {
        itemParam = mobileExt["dealwithFormParamExt"](itemParam, this);
        itemType = itemParam.itemType;
      }

      this.setState({
        itemParam: itemParam
      });
      this.props.onChange(data);
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.loadComponet();
    }

    //处理子表数据

  }, {
    key: 'dealwithSubForm',
    value: function dealwithSubForm(subForm, itemParam, subTbl, relatedTbl) {
      console.log("===dealwithSubForm===");
      var subFormList = [];
      var itemCode = itemParam.key;
      var value = [];
      if (relatedTbl && relatedTbl.length > 0) {
        for (var i = 0; i < relatedTbl.length; i++) {
          var relateditem = relatedTbl[i];
          var relatedSubTblData = relateditem.relatedSubTblData;
          if (relatedSubTblData && relatedSubTblData.length > 0) {
            for (var j = 0; j < relatedSubTblData.length; j++) {
              var item = relatedSubTblData[j];
              if (item.subTblName == itemCode) {
                var subTblData = item.subTblData;
                if (subTblData.length > 0) {
                  for (var j = 0; j < subTblData.length; j++) {
                    value.push({ mainTblData: subTblData[j], mainTblName: itemCode });
                    var subForm1 = { show: true, form: subForm };
                    subFormList.push(subForm1);
                  }
                } else {
                  var subForm2 = { show: true, form: subForm };
                  value.push({ mainTblData: [], mainTblName: itemCode });
                  subFormList.push(subForm2);
                }
                break;
              }
            }
          }
        }
      }
      if (subTbl.length > 0) {
        for (var i = 0; i < subTbl.length; i++) {
          var item = subTbl[i];
          if (item.subTblName == itemCode) {
            var subTblData = item.subTblData;
            if (subTblData.length > 0) {
              for (var j = 0; j < subTblData.length; j++) {
                value.push({ mainTblData: subTblData[j], mainTblName: itemCode });
                var subForm1 = { show: true, form: subForm };
                subFormList.push(subForm1);
              }
            } else {
              var subForm2 = { show: true, form: subForm };
              value.push({ mainTblData: [], mainTblName: itemCode });
              subFormList.push(subForm2);
            }
            break;
          }
        }
      }
      if (subFormList.length > 0) {
        itemParam.subForm = subFormList;
      } else if (relatedTbl && relatedTbl.length > 0) {
        var subForm3 = { show: true, form: subForm };
        subFormList.push(subForm3);
        itemParam.subForm = subFormList;
        value.push({ mainTblData: [], mainTblName: itemCode });
        for (var i = 0; i < relatedTbl.length; i++) {
          var relateditem = relatedTbl[i];
          if (relateditem.relatedMainTblName == itemParam.parentTblName) {
            relatedTbl[i].relatedSubTblData.push({ subTblData: [], subTblName: itemCode });
            break;
          }
        }
      } else {
        var subForm3 = { show: true, form: subForm };
        subFormList.push(subForm3);
        itemParam.subForm = subFormList;
        value.push({ mainTblData: [], mainTblName: itemCode });
        subTbl.push({ subTblData: [], subTblName: itemCode });
      }
      return value;
    }

    //修改data数据

  }, {
    key: 'editData',
    value: function editData(itemCode, value, data) {
      var mainTblData = data.mainTblData;
      mainTblData.map(function (item, index) {
        if (item.key == itemCode) {
          item.value = value;
        }
      });
      return data;
    }

    //子表操作修改

  }, {
    key: 'changeSub',
    value: function changeSub(itemSubTbl, subTblNo, value, itemParam1) {
      var itemParam = this.state.itemParam;
      var data = this.props.data;
      var subTblList = data.subTbl; //子表
      var relatedTbl = data.relatedTbl; //关联表
      /* var calculateExpList = data.calculateExpList;//计算公式列表 
       var calculateExpList1 = value.calculateExpList;//计算公式列表
       if(calculateExpList1){
       	for(var key in calculateExpList1){
       		  var calculateExpValue;
                 if(calculateExpList){
                   calculateExpValue = calculateExpList[key];
                   if(!calculateExpValue){
                     calculateExpValue = [];
                   }
                 }else{
                   calculateExpList = {};
                   calculateExpValue = [];
                 }
                 for(var j=0;j<calculateExpList1[key].length;j++){
               	  calculateExpValue.push(calculateExpList1[key][j]);
                 }
                 calculateExpList[key] = calculateExpValue;
       		  
       	}
       	
       	data.calculateExpList = calculateExpList;
       }*/

      this.dealwithSubData(subTblList, subTblNo, value, relatedTbl);
      data.subCalculateExpList = value.calculateExpList;
      data.subTblNo = subTblNo;
      this.props.onChange(data, itemParam1, subTblNo);
    }

    //处理子表数据

  }, {
    key: 'dealwithSubData',
    value: function dealwithSubData(subTblList, subTblNo, value, relatedTbl) {
      if (subTblList.length > 0) {
        //子表数据为空
        for (var j = 0; j < subTblList.length; j++) {
          if (value.mainTblName == subTblList[j].subTblName) {
            subTblList[j].subTblData[subTblNo] = value.mainTblData;
            break;
          }
        }
      }
      if (relatedTbl && relatedTbl.length > 0) {
        for (var i = 0; i < relatedTbl.length; i++) {
          var relatedSubTblData = relatedTbl[i].relatedSubTblData;
          for (var j = 0; j < relatedSubTblData.length; j++) {
            if (value.mainTblName == relatedSubTblData[j].subTblName) {
              relatedSubTblData[j].subTblData[subTblNo] = value.mainTblData;
              break;
            }
          }
        }
      }
    }

    //重新加载组件

  }, {
    key: 'reloadItemParam',
    value: function reloadItemParam(itemNew) {
      if (itemNew != null && itemNew != undefined && Array.isArray(itemNew)) {
        var itemParam = this.state.itemParam;
        for (var i = 0; i < itemNew.length; i++) {
          var key = itemNew[i].key;
          itemParam[key] = itemNew[i].value;
        }
        this.setState({
          itemParam: itemParam
        });
      }
    }

    //重新加载子表各字段

  }, {
    key: 'reloadSubItemParam',
    value: function reloadSubItemParam(itemNew) {
      if (itemNew != null && itemNew != undefined && Array.isArray(itemNew)) {
        var itemParam = this.state.itemParam;
        var value = itemParam.value;
        for (var i = 0; i < itemNew.length; i++) {
          var fieldCode = itemNew[i].key;
          var value = itemNew[i].value;
          var index = itemNew[i].index;
          if (value[index]) {
            value[index][fieldCode] = value;
          }
          if (this.refs[fieldCode + '_' + index]) {
            var valueItem = {};
            valueItem.key = 'value';
            valueItem.value = value;
            this.refs[fieldCode + '_' + index].reloadItemParam([valueItem]);
          }
        }
      }
    }
    //获取子表各字段的itemParam属性

  }, {
    key: 'getSubItemParam',
    value: function getSubItemParam(fieldCode) {
      var subItemParam = [];
      var itemParam = this.state.itemParam;
      for (var i = 0; i < itemParam.subForm.length; i++) {
        if (fieldCode && this.refs[fieldCode + '_' + i]) {
          var itemParamItem = this.refs[fieldCode + '_' + i].getItemParam();
          if (itemParamItem != null) {
            subItemParam.push(itemParamItem);
          }
        }
      }
      return subItemParam;
    }

    //获取字段的itemParam属性

  }, {
    key: 'getItemParam',
    value: function getItemParam() {
      var itemParam = this.state.itemParam;
      return itemParam;
    }

    //明细显示隐藏（全部）

  }, {
    key: 'detailShowAll',
    value: function detailShowAll() {
      var itemParam = this.state.itemParam;
      itemParam.show = !itemParam.show;
      this.setState({
        itemParam: itemParam
      });
    }

    //明细显示隐藏

  }, {
    key: 'detailShow',
    value: function detailShow(i, show) {
      var itemParam = this.state.itemParam;
      itemParam.subForm[i].show = !show;
      this.setState({
        itemParam: itemParam
      });
    }

    //明细删除

  }, {
    key: 'detailDel',
    value: function detailDel(i, e) {
      if (e) {
        e.stopPropagation();
      }
      var itemParam = this.state.itemParam;
      var subForm = itemParam.subForm;
      subForm.splice(i, 1);
      itemParam.value.splice(i, 1);
      // itemParam.subForm = subForm;
      var data = this.props.data;
      var subTblList = data.subTbl;
      for (var j = 0; j < subTblList.length; j++) {
        if (subTblList[j].subTblName == itemParam.key) {
          var subTblData = subTblList[j].subTblData;
          subTblData.splice(i, 1);
          subTblList[j].subTblData = subTblData;
        }
      }
      this.setState({
        itemParam: itemParam
      }, function (data) {
        // this.forceUpdate();
        var itemParamList = this.state.itemParam.value;
        for (var m = 0; m < itemParamList.length; m++) {
          var tblData = itemParamList[m].mainTblData;
          var tblName = itemParamList[m].mainTblName;
          for (var n = 0; n < tblData.length; n++) {
            var key = tblData[n].key;
            var value = tblData[n].value;
            if (this.refs[tblName + '_' + key + '_' + m]) {
              this.refs[tblName + '_' + key + '_' + m].reloadItemParam([{ 'key': 'value', 'value': value }]);
            }
          }
        }
        var cropItem = this.state.itemParam;
        var children = this.state.itemParam.children;
        for (var c = 0; c < children.length; c++) {
          var itemPa = children[c];
          var uniqueName = itemPa.uniqueName;
          //  cropItem.uniqueName=uniqueName;
          //  cropItem.itemType=itemPa.itemType;
          //  cropItem.inputFormat=itemPa.inputFormat;
          //  cropItem.decimalPlace=itemPa.decimalPlace;
          var hiddenFields = '';
          if (this.state.itemParam.fieldControll) {
            hiddenFields = this.state.itemParam.fieldControll.hiddenFields;
            hiddenFields = "," + hiddenFields + ",";
          }
          if (hiddenFields.indexOf("," + uniqueName + ",") < 0 && itemPa.isSum == '1') {
            var subTableName = this.state.itemParam.key;
            var key = itemPa.itemCode;
            var title = itemPa.itemTitle;
            var subTbl = itemParamList;
            if ($('.' + uniqueName).length > 0) {
              $('.' + uniqueName).html('');
            } else if ($('.hejidiv-' + subTableName).html() == '') {
              $('.hejidiv-' + subTableName).html('合计：');
            }
            var subValue = '';
            if (subTbl != null && subTbl.length > 0) {
              for (var i = 0; i < subTbl.length; i++) {
                if (subTableName == subTbl[i].mainTblName) {
                  var subTblData = subTbl[i].mainTblData;
                  for (var j = 0; j < subTblData.length; j++) {
                    if (key == subTblData[j].key) {
                      if (subTblData[j].value != '') {
                        if (subValue == '') {
                          subValue = Number(subTblData[j].value);
                        } else {
                          subValue = Number(subValue) + Number(subTblData[j].value);
                        }
                      }
                    }
                  }
                }
              }
            }
            if (isNaN(subValue)) {
              subValue = '';
            }
            if (subValue != '') {
              if ($('.' + uniqueName).length > 0) {
                $('.' + uniqueName).html(title + " " + subValue + ";  ");
              } else {
                $('.hejidiv-' + subTableName).append('<span class="' + uniqueName + '">' + title + " " + subValue + ";  " + "</span>");
              }
            }
          }
        }

        this.props.onChange(this.props.data, cropItem);
      });
    }

    //添加明细

  }, {
    key: 'detailAdd',
    value: function detailAdd(addValue) {
      var form = this.props.form; //表单元素
      var itemParam = this.state.itemParam; //表单元素
      var data = this.props.data; //表单数据
      var formKey = this.props.formKey; //表单code
      var status = this.props.status;
      //var subTblList = data.subTbl;
      // for(var i=0; i<subTblList.length; i++){
      //   if(subTblList[i].subTblName == itemParam.key){
      //     var subModel = this.state.subModel;
      //     subTblList[i].subTblData.push(subModel);
      //   }
      // }
      var subFormList = itemParam.subForm;
      var formItem = form.children;
      var formItemNew = JSON.parse(JSON.stringify(formItem));
      if (itemParam.isCopy == false) {
        //子表在新增数据时是否复制默认数据,默认是复制
        formItemNew.map(function (item) {
          item.value = '';
          item.defaultValue = '';
        });
      }

      //给他初始数据
      var mainTblData = [];
      if (status == '0') {} else {
        mainTblData = [{ key: 'id', value: '', required: false }];
      }
      if (addValue && addValue.length > 0) {
        formItemNew.map(function (item) {
          for (var i = 0; i < addValue.length; i++) {
            if (addValue[i].key == item.itemCode) {

              if (item.itemType != "popuser") {
                item.value = addValue[i].value;
              }
              item.defaultValue = addValue[i].value;

              var mainTbItem = {};
              mainTbItem.key = item.itemCode;
              mainTbItem.fieldId = item.fieldId;
              mainTbItem.decimalPlace = item.decimalPlace;
              mainTbItem.inputFormat = item.inputFormat;
              mainTbItem.itemType = item.itemType;
              mainTbItem.label = item.label;
              mainTbItem.required = item.required;
              mainTbItem.uniqueName = item.uniqueName;
              mainTbItem.value = addValue[i].value;
              mainTblData.push(mainTbItem);
            }
          }
        });

        var data = this.props.data;
        var subTblList = data.subTbl;
        var relatedTbl = data.relatedTbl;
        for (var j = 0; j < subTblList.length; j++) {
          if (subTblList[j].subTblName == itemParam.key) {
            var subTblData = subTblList[j].subTblData;
            subTblData.push(mainTblData);
          }
        }
      }
      formItemNew.map(function (item) {
        item.formKey = formKey;
      });
      var subForm = { show: true, form: formItemNew };
      subFormList.push(subForm);

      var value = itemParam.value;
      // if(status == '0'){
      //   value.push({mainTblData:mainTblData,mainTblName:itemParam.key});
      // }else{
      //   value.push({mainTblData:[{key:'id',value:'',required:false}],mainTblName:itemParam.key});
      // }

      value.push({ mainTblData: mainTblData, mainTblName: itemParam.key });

      //this.addSubForm(formItem,itemParam,subTblList);
      //value.push({mainTblData:[],mainTblName:itemCode});
      //data.subTbl = subTbl;
      this.setState({
        itemParam: itemParam
      });
      setTimeout(function () {
        if ($('#sysWatermarkName').val() != null && $('#sysWatermarkName').val() != '') {
          $('#approveWaterMarker').ezWaterMarkerApprove('clear');
          $('#approveWaterMarker').ezWaterMarkerApprove({ text: $('#sysWatermarkName').val(), markWidth: 120, rows: 100 });
        }
      }, 500);
    }

    //新增明细处理数据

  }, {
    key: 'addSubForm',
    value: function addSubForm(formItem, itemParam, subTblList) {

      var itemCode = itemParam.key;
      var value = itemParam.value;

      subFormList.push(subForm);
      itemParam.subForm = subFormList;
      value.push({ mainTblData: [], mainTblName: itemCode });
      for (var i = 0; i < subTblList.length; i++) {
        if (subTblList[i].subTblName == itemParam.key) {
          var subModel = this.state.subModel;
          subTblList[i].subTblData.push({ mainTblData: [], mainTblName: itemCode });
        }
      }
      return value;
    }
  }, {
    key: 'getDetai',
    value: function getDetai() {
      var _this2 = this;

      var t = this;
      var subForm = this.state.itemParam.subForm;
      if (!subForm) {
        subForm = [];
      }
      return subForm.map(function (item, i) {
        return _react2.default.createElement(
          'div',
          { className: 'dd-drug-list' },
          _react2.default.createElement(
            HBox,
            { className: 't-BCf dd-bottom-border', onClick: _this2.detailShow.bind(_this2, i, item.show) },
            _react2.default.createElement(
              Box,
              { className: 't-LH44 t-PL16 t-PR2' },
              _react2.default.createElement('i', { className: item.show ? "iconfont icon-arrow-down t-FS18 t-FCc" : "iconfont icon-arrow-up t-rotate-90 t-FS18 t-FCc" })
            ),
            _react2.default.createElement(
              Box,
              { flex: 1, className: 't-LH46 t-FC9' },
              i + 1
            ),
            _react2.default.createElement(
              Box,
              { 'data-key': i, onClick: _this2.detailDel.bind(_this2, i), className: t.state.itemParam.subtableReadonly || subForm.length == 1 ? 't-DN' : 't-P16 theme-color' },
              '\u5220\u9664'
            )
          ),
          _react2.default.createElement(
            'div',
            { className: item.show ? "" : "t-DN" },
            item.form.map(function (item2, j) {
              return _react2.default.createElement(_form2.default, { className: "subform_" + item2.uniqueName, keyNo: i, ref: item2.uniqueName + '_' + i, dataType: 'sub', subTblName: t.state.itemParam.key, module: t.state.module, formKey: item2.formKey, status: t.state.status, form: item2, allForm: t.props.allForm, formStyle: t.props.formStyle, data: t.state.itemParam.value[i], fieldControll: t.state.fieldControll, caIsPrd: t.props.caIsPrd, preCaFields: t.props.preCaFields, formRelaFieldMaps: t.props.formRelaFieldMaps, linkFields: t.props.linkFields, onChange: _this2.changeSub.bind(_this2, _this2.state.itemParam, i) });
            })
          )
        );
      });
    }
  }, {
    key: 'getSubTotal',
    value: function getSubTotal() {
      var t = this;
      var itemParamList = this.state.itemParam.value;
      var children = this.state.itemParam.children;
      var hiddenFields = '';
      if (this.state.itemParam.fieldControll) {
        hiddenFields = this.state.itemParam.fieldControll.hiddenFields;
        hiddenFields = "," + hiddenFields + ",";
      }

      if (children && children.length > 0) {
        for (var c = 0; c < children.length; c++) {
          var itemPa = children[c];
          var uniqueName = itemPa.uniqueName;
          if (hiddenFields.indexOf("," + uniqueName + ",") < 0) {
            if (itemPa.isSum == '1') {
              var subTableName = this.state.itemParam.key;
              var key = itemPa.itemCode;
              var title = itemPa.itemTitle;
              var subTbl = itemParamList;
              if ($('.' + uniqueName).length > 0) {
                $('.' + uniqueName).html('');
              } else if ($('.hejidiv-' + subTableName).html() == '') {
                $('.hejidiv-' + subTableName).html('合计：');
              }
              var subValue = '';
              if (subTbl != null && subTbl.length > 0) {
                for (var i = 0; i < subTbl.length; i++) {
                  if (subTableName == subTbl[i].mainTblName) {
                    var subTblData = subTbl[i].mainTblData;
                    for (var j = 0; j < subTblData.length; j++) {
                      if (key == subTblData[j].key) {
                        if (subTblData[j].value !== '') {
                          if (subValue === '') {
                            subValue = Number(subTblData[j].value);
                          } else {
                            subValue = Number(subValue) + Number(subTblData[j].value);
                          }
                        }
                      }
                    }
                  }
                }
              }
              if (isNaN(subValue)) {
                subValue = '';
              }
              if (subValue !== '') {
                if ($('.' + uniqueName).length > 0) {
                  $('.' + uniqueName).html(title + " " + subValue + ";  ");
                } else {
                  $('.hejidiv-' + subTableName).append('<span class="' + uniqueName + '">' + title + " " + subValue + ";  " + "</span>");
                }
              }
              var le = $('.hejidiv-' + subTableName).find('span').length;
              if (le > 0) {
                var tx = $('.hejidiv-' + subTableName).find('span')[le - 1].innerText;
                $('.hejidiv-' + subTableName).find('span')[le - 1].innerText = tx.replace(';', '');
              }
            }
          }
        }
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var t = this;
      return _react2.default.createElement(
        'div',
        { className: t.state.itemParam.isHidden ? 't-DN' : '' },
        _react2.default.createElement('div', { className: 't-BCf7 t-H10' }),
        _react2.default.createElement(
          HBox,
          { className: 't-P16 t-FS16 t-BCf dd-bottom-border', onClick: this.detailShowAll.bind(this) },
          _react2.default.createElement(
            Box,
            { flex: 1 },
            _react2.default.createElement(
              'span',
              null,
              t.state.itemParam.title,
              t.state.name
            )
          ),
          _react2.default.createElement(
            Box,
            null,
            _react2.default.createElement('i', { className: this.state.itemParam.show ? "iconfont icon-arrow-down t-FS18 t-FCc" : "iconfont icon-arrow-up t-rotate-90 t-FS18 t-FCc" })
          )
        ),
        _react2.default.createElement(
          'div',
          { className: this.state.itemParam.show ? "" : 't-DN' },
          this.getDetai()
        ),
        _react2.default.createElement(
          'div',
          { className: "hejidiv-" + t.state.itemParam.key + "  t-FS16 t-BCf ", style: { textAlign: 'right', paddingRight: 20 } },
          this.getSubTotal()
        ),
        _react2.default.createElement(
          'div',
          { onClick: this.detailAdd.bind(this), className: t.state.itemParam.subtableReadonly ? 't-DN' : 't-button t-button-size-medium theme-color' },
          _react2.default.createElement('i', { className: 'iconfont icon-plus' }),
          _react2.default.createElement(
            'span',
            null,
            this.state.itemParam.detailAction
          )
        ),
        _react2.default.createElement('div', { className: 't-BCf7 t-H10' })
      );
    }
  }]);

  return PageHome;
}(_react2.default.Component);

exports.default = PageHome;