'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _Boxs = require('saltui/lib/Boxs');

var _Boxs2 = _interopRequireDefault(_Boxs);

var _Popup = require('saltui/lib/Popup');

var _Popup2 = _interopRequireDefault(_Popup);

var _SelectField = require('saltui/lib/SelectField');

var _SelectField2 = _interopRequireDefault(_SelectField);

var _Group = require('saltui/lib/Group');

var _Group2 = _interopRequireDefault(_Group);

var _TextField = require('saltui/lib/TextField');

var _TextField2 = _interopRequireDefault(_TextField);

var _TextareaField = require('saltui/lib/TextareaField');

var _TextareaField2 = _interopRequireDefault(_TextareaField);

var _Button = require('saltui/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

var _Toast = require('saltui/lib/Toast');

var _Toast2 = _interopRequireDefault(_Toast);

var _utils = require('./utils');

var _utils2 = _interopRequireDefault(_utils);

require('./PageHome.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var HBox = _Boxs2.default.HBox,
    Box = _Boxs2.default.Box,
    VBox = _Boxs2.default.VBox;
var ButtonGroup = _Button2.default.ButtonGroup;

var Page = function (_Component) {
  _inherits(Page, _Component);

  function Page(props) {
    _classCallCheck(this, Page);

    //关闭加载页的遮罩效果
    $(".loading-containter").hide();
    var baseContext = document.getElementById("baseContext").value;
    var token = document.getElementById("token").value;

    var _this = _possibleConstructorReturn(this, (Page.__proto__ || Object.getPrototypeOf(Page)).call(this, props));

    _this.state = {
      baseContext: baseContext,
      token: token,
      required: false,
      visible: false,

      showValue: "",
      showValue1: "",
      serialNumList: "",
      serialNumValue: null,
      serialNum: '',
      doubleClick: '0',
      serialNumId: ''
    };

    _this.listener = _this.handleHidePopup.bind(_this);
    return _this;
  }

  //去除监听并关闭弹出页


  _createClass(Page, [{
    key: 'handleHidePopup',
    value: function handleHidePopup(e) {
      var state = e.state;

      if (!state || !state.selectSerialnumber || state.selectSerialnumber !== this.state.historyStamp) {
        var t = this;
        window.removeEventListener('popstate', t.listener, false);
        t.setState({
          visible: false
        }, function () {
          document.getElementById("App").style.overflow = "auto";
          document.getElementById("App").style.height = "";
          var top = t.state.top;
          _Popup2.default.hide();
          setTimeout(function () {
            window.scrollTo(0, top);
          });
        });
      }
    }

    // 触发弹出选择

  }, {
    key: 'popupSerialNumberFuc',
    value: function popupSerialNumberFuc() {
      var _this2 = this;

      var t = this;
      // 只读状态
      var readOnly = this.props.readOnly;
      if (readOnly) {
        return false;
      }

      // 选中的流水号ID
      var serialNumId = t.state.serialNumId;

      // 请求后台获取数据
      // 调用弹出选择Api接口
      var id = t.props.id;
      var module = '';
      if (id == 'serialNum-input') {
        module = 'lsh';
      }
      if (id == 'receveNo-input') {
        module = 'receivefileNo';
      }
      if (id == 'sendNo-input') {
        module = 'sendfileNo';
      }
      var url = this.state.baseContext + "/client/office/document/getBizCodeList?module=" + module + "&token=" + this.state.token;
      fetch(url, {
        method: "GET",
        mode: "cors",
        headers: {
          'Accept': 'application/json, text/plain, */*',
          'Content-Type': 'application/x-www-form-urlencoded'
        }
      }).then(function (response) {
        return response.json();
      }).then(function (result) {
        // 选中数据处理
        if (result != null && result.success) {
          var selectid = '';
          var flag = true;
          var content = result.content;
          if (content != null) {
            var data = content.data;
            var dataValue = null;
            if (data != null && data.length > 0) {

              for (var i = 0; i < data.length; i++) {
                var obj = data[i];
                var id = obj.id;
                var name = obj.name;
                obj['value'] = id;
                obj['text'] = name;

                if (serialNumId != '' && serialNumId == id) {
                  dataValue = obj;
                  selectid = id;
                  flag = false;
                }
              }

              if (flag) {
                dataValue = data[0];
                selectid = dataValue.value;
              }
            }

            // 回显值
            var showvalue = t.props.value;
            t.setState({
              visible: true,
              serialNumList: data,
              serialNumValue: dataValue,
              serialNum: showvalue,
              showValue: showvalue
            }, function () {
              if (selectid != '' && flag) {
                t.getBizCode(selectid);
              }

              var memberDivs = document.getElementsByClassName("select-serialnumber-div-class");
              if (memberDivs && memberDivs.length > 0) {
                for (var i = 0; i < memberDivs.length; i++) {
                  var parent = _this2.getParents(memberDivs[i], "t-popup");
                  if (parent) {
                    parent.style.left = "0";
                    parent.style.background = "#f7f7f7";
                  }
                }
              }

              var top = 0;
              if (document.documentElement && document.documentElement.scrollTop) {
                top = document.documentElement.scrollTop;
              } else if (document.body) {
                top = document.body.scrollTop;
              }
              t.setState({
                top: top,
                historyStamp: 'selectSerialnumber.index_' + Date.now()
              }, function () {
                window.history.pushState({
                  selectSerialnumber: t.state.historyStamp
                }, '', _utils2.default.addUrlParam('selectSerialnumber', Date.now()));
                window.addEventListener('popstate', t.listener, false);
              });
              document.getElementById("App").style.overflow = "hidden";
              document.getElementById("App").style.height = "0";
            });
          }
        }
      }).catch(function (error) {
        alert("错误：" + error);
      });
    }
  }, {
    key: 'getParents',
    value: function getParents(element, className) {
      var returnParentElement = null;
      if (element && element.classList.contains(className) && element.tagName.toLowerCase() != "body") {
        returnParentElement = element;
      } else {
        returnParentElement = this.getParents(element.parentElement, className);
      }
      return returnParentElement;
    }
  }, {
    key: 'getBizCode',
    value: function getBizCode(id) {
      var t = this;
      var url = this.state.baseContext + "/client/office/document/getBizCode?token=" + this.state.token + "&id=" + id;
      fetch(url, {
        method: "GET",
        mode: "cors",
        headers: {
          'Accept': 'application/json, text/plain, */*',
          'Content-Type': 'application/x-www-form-urlencoded'
        }
      }).then(function (response) {
        return response.json();
      }).then(function (result) {
        // 选中数据处理
        if (result != null && result.success) {
          var content = result.content;
          if (content != null) {
            var data = content.content;
            if (data != null) {
              // bizCode
              var bizCode = data.bizCode == null ? "" : data.bizCode;
              // numSeq
              var numSeq = data.numSeq;
              t.setState({
                serialNum: bizCode,
                showValue: bizCode
              }, function () {
                if (t.instance) {
                  t.instance.update(t.getSerialNumberContent());
                }
              });
            } else {
              t.setState({
                serialNum: "",
                showValue: ""
              }, function () {
                if (t.instance) {
                  t.instance.update(t.getSerialNumberContent());
                }
              });
            }
          }
        }
      }).catch(function (error) {
        alert("错误：" + error);
      });
    }

    // 文号名称改变

  }, {
    key: 'serialNumListChange',
    value: function serialNumListChange(value) {
      var t = this;
      var id = value.value;
      this.setState({
        serialNumValue: value
      }, function () {
        if (id != '') {
          t.getBizCode(id);
        }
      });
    }
  }, {
    key: 'handleTextAreaChange',
    value: function handleTextAreaChange(field, size, newValue) {
      if (isEmojiCharacter(newValue)) {
        _Toast2.default.show({
          type: 'error',
          content: '不能输入表情'
        });
        return false;
      }
      if (newValue.length <= size) {
        this.setState(_defineProperty({}, field, newValue));
      }
    }
  }, {
    key: 'handleChange',
    value: function handleChange(field, value) {
      this.setState(_defineProperty({}, field, value));
    }

    // 弹出页的列表

  }, {
    key: 'getSerialNumberContent',
    value: function getSerialNumberContent() {
      var t = this;
      // 返回结构
      var content = "";
      var label = t.props.label;
      content = React.createElement(
        'div',
        { className: 'dd-selection select-serialnumber-div-class' },
        React.createElement(
          _Group2.default.List,
          null,
          React.createElement(_SelectField2.default, {
            label: label + "编号",
            options: t.state.serialNumList,
            onSelect: t.serialNumListChange.bind(t),
            value: t.state.serialNumValue,
            placeholder: "请选择" + label + "编号"
          })
        ),
        React.createElement(
          _Group2.default.List,
          null,
          React.createElement(_TextField2.default, {
            label: label,
            placeholder: '',
            value: t.state.serialNum,
            onChange: t.handleTextAreaChange.bind(t, 'serialNum', 1000)
          })
        ),
        React.createElement(
          'p',
          { className: t.state.serialNumList == null || t.state.serialNumList.length < 1 ? 't-DN' : 't-FS16 t-FCddfontblue-60 t-ML16 t-MT10' },
          label + '预览效果:' + t.state.showValue
        ),
        React.createElement(
          'p',
          { className: t.state.serialNumList == null || t.state.serialNumList.length < 1 ? 't-FS16 t-FCddfontblue-60 t-ML16 t-MT10' : 't-DN' },
          '\u8BF7\u8054\u7CFB\u7BA1\u7406\u5458\u5728\u516C\u6587\u8BBE\u7F6E\u4E2D\u8BBE\u7F6E',
          label
        ),
        React.createElement(
          'div',
          { className: 't-P0 t-bottom-fixed' },
          React.createElement(
            _Button2.default.Group,
            null,
            React.createElement(
              _Button2.default,
              { type: 'primary', display: 'banner', onClick: this.confirmBtn.bind(this, label) },
              '\u786E\u8BA4'
            ),
            React.createElement(
              _Button2.default,
              { type: 'secondary', display: 'banner', onClick: this.cancelBtn.bind(this) },
              '\u53D6\u6D88'
            )
          )
        )
      );
      return content;
    }
  }, {
    key: 'confirmBtn',
    value: function confirmBtn(label) {
      var _this3 = this;

      var t = this;
      var doubleClick = t.state.doubleClick;
      if (doubleClick != '0') {
        return false;
      } else {
        t.setState({
          doubleClick: '1'
        });
      }

      var id = "";
      var text = '';
      if (t.state.serialNumValue != null) {
        id = t.state.serialNumValue.value;
        text = t.state.serialNumValue.text;
      } else {
        _Toast2.default.show({
          type: 'error',
          content: '请选择' + label
        });
        t.setState({
          doubleClick: '0'
        });
        return false;
      }
      var name = t.state.serialNum;
      if (name == null || name == '') {
        _Toast2.default.show({
          type: 'error',
          content: '请选择' + label
        });
        t.setState({
          doubleClick: '0'
        });
        return false;
      }

      if (id != '' && name != '') {
        var url = this.state.baseContext + "/client/office/document/checkBizCode?token=" + this.state.token + "&bizCodeValue=" + id + "&bizCode=" + name;
        fetch(url, {
          method: "POST",
          mode: "cors",
          headers: {
            'Accept': 'application/json, text/plain, */*',
            'Content-Type': 'application/x-www-form-urlencoded'
          }
        }).then(function (response) {
          return response.json();
        }).then(function (result) {
          if (result != null) {
            var content = result.content;
            if (content.code == '0') {

              t.setState({
                visible: false,
                showValue1: name,
                doubleClick: '0',
                serialNumId: id
              }, function () {
                _this3.props.onChange(name);
                history.back();
              });
            } else {
              if (text != '' && text == name) {
                _Toast2.default.show({
                  type: 'error',
                  content: content.message
                });
                t.setState({
                  doubleClick: '0'
                });
              } else {
                var failType = content.data.type;
                if (failType == "1") {
                  _Toast2.default.show({
                    type: 'error',
                    content: label + '重复'
                  });
                  t.setState({
                    doubleClick: '0'
                  });
                } else {
                  _Toast2.default.show({
                    type: 'error',
                    content: '请对' + label + '按规则修改'
                  });
                  t.setState({
                    doubleClick: '0'
                  });
                }
              }
            }
          } else {
            _Toast2.default.show({
              type: 'error',
              content: label + '校验失败'
            });
            t.setState({
              doubleClick: '0'
            });
          }
        }).catch(function (error) {
          alert("错误：" + error);
          t.setState({
            doubleClick: '0'
          });
        });
      }
    }
  }, {
    key: 'cancelBtn',
    value: function cancelBtn() {
      var t = this;
      var doubleClick = t.state.doubleClick;
      if (doubleClick != '0') {
        return false;
      } else {
        t.setState({
          doubleClick: '1'
        });
      }
      t.setState({
        visible: false,
        doubleClick: '0'
      }, function () {
        history.back();
      });
    }

    // 点击蒙层关闭

  }, {
    key: 'closMask',
    value: function closMask() {
      /* $("#App").removeAttr("style");
       $(document).scrollTop(this.props.top);*/
    }
  }, {
    key: 'handleChange',
    value: function handleChange(from, on) {
      this.setState(_defineProperty({}, from, on));
    }
  }, {
    key: 'render',
    value: function render() {
      var _this4 = this;

      var t = this;
      // 必选标识
      var required = this.props.required;
      // 显示值
      var selectText = '';
      var label = t.props.label;

      var readOnly = t.props.readOnly;

      var placeholder = t.props.placeholder;

      var id = t.props.id;

      var value = t.props.value;
      if (value == null || value == undefined) {
        value = '';
      }

      // t.setState({
      //   showValue1:value,
      // })

      return React.createElement(
        'div',
        null,
        React.createElement(
          'div',
          null,
          React.createElement(
            HBox,
            { vAlign: 'center', className: 't-FS16 t-PL16 t-PR16', onClick: function onClick() {
                _this4.popupSerialNumberFuc();
              } },
            React.createElement(
              Box,
              { className: required ? 't-field-layout-h-label required' : 't-field-layout-h-label' },
              label
            ),
            React.createElement(
              HBox,
              { flex: 1 },
              React.createElement(
                Box,
                { flex: 1, className: value == '' ? "t-FCtips t-FS16 t-PR10" : "t-DN" },
                React.createElement(
                  'div',
                  { className: 't-omit' },
                  placeholder
                )
              ),
              React.createElement(
                Box,
                { flex: 1, className: value == '' ? "t-DN" : "t-FAL t-LH1_4 t-omit" },
                value
              ),
              React.createElement(
                Box,
                { className: readOnly ? "t-DN" : "t-PR4" },
                React.createElement('b', { className: 'iconfont icon-back t-rotate-180 t-FCc t-FS16 t-FS14' })
              )
            )
          ),
          React.createElement(
            HBox,
            null,
            React.createElement(
              Box,
              null,
              React.createElement('input', { type: 'hidden', value: this.state.serialNumId, id: id })
            )
          )
        ),
        React.createElement(
          'div',
          null,
          React.createElement(
            _Popup2.default,
            {
              content: this.getSerialNumberContent(),
              animationType: 'slide-left',
              onMaskClick: function onMaskClick() {
                _this4.setState({ visible: false });_this4.closMask();
              },
              visible: this.state.visible
            },
            null
          )
        )
      );
    }
  }]);

  return Page;
}(_react.Component);

exports.default = Page;